needed: libv4l and associated application patches (or "gspca stopped working in 2.6.27")

Bug #260918 reported by Erik Andrén on 2008-08-24
670
This bug affects 83 people
Affects Status Importance Assigned to Milestone
Adobe Flash Plugin Tools
Undecided
Unassigned
Cheese
Unknown
Critical
Ekiga
Fix Released
Medium
GStreamer
Fix Released
Medium
Kdenlive
Fix Released
Unknown
Kopete
Fix Released
Medium
Medibuntu
Fix Released
Medium
Lionel Le Folgoc
Mozilla Firefox
Invalid
Medium
OpenCV
Unknown
Unknown
VLC media player
Fix Released
Unknown
Wine
Confirmed
Medium
gst-plugins-good
Fix Released
Medium
amsn (Ubuntu)
Undecided
mbaho10
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
Undecided
Devid Antonio Filoni
came (Ubuntu)
High
dimpler18
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
High
Unassigned
camorama (Debian)
Fix Released
Unknown
camorama (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
Undecided
Unassigned
camstream (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
Undecided
Unassigned
cheese (Ubuntu)
High
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
Undecided
Unassigned
Lucid
Undecided
Unassigned
ekiga (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
Undecided
Unassigned
gst-plugins-good0.10 (Fedora)
Fix Released
Low
gst-plugins-good0.10 (Ubuntu)
High
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
High
Unassigned
libv4l (Ubuntu)
High
Bahar Ali
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
High
Bahar Ali
mplayer (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
Undecided
Unassigned
pwlib (Fedora)
Fix Released
Low
pwlib (Ubuntu)
High
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
High
Unassigned
vlc (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
Undecided
Unassigned
xawtv (Fedora)
Fix Released
Medium
xawtv (Ubuntu)
High
Unassigned
Declined for Dapper by Scott Kitterman
Nominated for Hardy by r12056
Declined for Jaunty by Scott Kitterman
Declined for Karmic by Scott Kitterman
Intrepid
High
Unassigned

Bug Description

libv4l is a user-space library used by several applications in order to convert webcam streams in user-space instead of kernel-space. As gspca is included in 2.6.27 this is needed in order to (re)support a multitude of webcams supported with ordinary applications.

See http://hansdegoede.livejournal.com/3636.html for a more complete description of the software.

The latest version is 0.4.0 and is available from http://people.atrpms.net/~hdegoede/

Download full text (3.5 KiB)

As you probably know I'm one of the authors of the v4l2 rewrite of the gspca usb
webcam driver framework (which supports more then 100 different cams), this v4l2
rewrite has been merged into the 2.6.27 kernel and thus will become available in
the official Linux kernel soon.

One of the parts of the v4l2 rewrite has been removing conversion from various
manufacturer cam specific video formats to more normal videoformats from the
drivers, as this really does not belong in userspace.

As a result of this the gspca subdrivers can generate raw video frames in the
following formats:

#define V4L2_PIX_FMT_SN9C10X v4l2_fourcc('S', '9', '1', '0') /* SN9C10x
compressed bayer
#define V4L2_PIX_FMT_SPCA501 v4l2_fourcc('S', '5', '0', '1') /* YUYV per line
#define V4L2_PIX_FMT_SPCA505 v4l2_fourcc('S', '5', '0', '5') /* YYUV per line
#define V4L2_PIX_FMT_SPCA508 v4l2_fourcc('S', '5', '0', '8') /* YUVY per line
#define V4L2_PIX_FMT_SPCA561 v4l2_fourcc('S', '5', '6', '1') /* compressed GBRG
bayer
#define V4L2_PIX_FMT_PAC207 v4l2_fourcc('P', '2', '0', '7') /* compressed BGGR
bayer

As we do not want to see each application implement (nor having to implement)
support for these various formats, as we like to have one code base and only one
code base for these formats. A library has been written (with me as the main
author) to convert from these formats to BGR24 or YUV420. For more on this
library see:
http://hansdegoede.livejournal.com/3636.html

The attached patch adds support to the gstreamer v4l2 plugin to use this library
if available on the system, it has also been submitted upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=545033

libv4l will show up in rawhide as soon as a cvsadmin gets around to creating a
cvs module for it, see libv4l'2 review request: bug 456772

Getting this patch into Fedora is important for the F-10 better webcam support
feature:
https://fedoraproject.org/wiki/Features/BetterWebcamSupport

###

A note about the patch, the patch is actually quite simple, as libv4l has been
designed for quick porting of existing apps to libv4l, for this reason libv4l
fully mimicks the raw /dev/video interface (and if no conversion is needed and
for non relevant calls like setting ctrl's, passes through all calls unmodified).

All that the patch does and all that needs to be changed to use libv4l is
replace the relevant xxx calls on /dev/video with v4l2_xxx calls.

The only special thing about the patch is that it passes the
V4L2_ENABLE_ENUM_FMT_EMULATION flag to libv4l2 on open, this patch tells libv4l2
to report the "emulated" formats in the ENUM_FMT ioctl results. Which libv4l2
does not do be default so that ENUM_FMT only reports the really supported
formats (a TRY_FMT with one of the 2 supported emulated formats can then be done
to see if conversion is supported for the specific device). Given the working of
the v4l2 plugin, enabling the ENUM_FMT emulation is needed.

I've successfully tested this patch with cheese and 2 spca561 cams (quite
popular IC, used by both logitech and creative), 2 pac207 cams (another quite
popular IC), 3 SN9C10X cams (also very popular) and 1 spca501 cam. All of which
do not work without this patch, as gstrea...

Read more...

Created attachment 312745
PATCH adding support for using libv4l to the v4l2 plugin

libv4l has just been build for rawhide, and should show up in the next rawhide
push, in the mean time you can get it from koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=57774

Short intro: I'm a long time Linux developer currently working on improving
webcam support in Linux, see:
http://fedoraproject.org/wiki/Features/BetterWebcamSupport

I'm one of the authors of the v4l2 rewrite of the gspca usb webcam driver
framework (which supports more then 100 different cams), this v4l2 rewrite has
been merged into the 2.6.27 kernel and thus will become available in the
official Linux kernel soon.

One of the parts of the v4l2 rewrite has been removing conversion from various
manufacturer cam specific video formats to more normal videoformats from the
drivers, as this really does not belong in kernel space.

As a result of this the gspca subdrivers can generate raw video frames in the
following formats:

#define V4L2_PIX_FMT_SN9C10X v4l2_fourcc('S', '9', '1', '0') /* SN9C10x
compressed bayer
#define V4L2_PIX_FMT_SPCA501 v4l2_fourcc('S', '5', '0', '1') /* YUYV per line
#define V4L2_PIX_FMT_SPCA505 v4l2_fourcc('S', '5', '0', '5') /* YYUV per line
#define V4L2_PIX_FMT_SPCA508 v4l2_fourcc('S', '5', '0', '8') /* YUVY per line
#define V4L2_PIX_FMT_SPCA561 v4l2_fourcc('S', '5', '6', '1') /* compressed
GBRG bayer
#define V4L2_PIX_FMT_PAC207 v4l2_fourcc('P', '2', '0', '7') /* compressed
BGGR bayer

As we do not want to see each application implement (nor having to implement)
support for these various formats, as we like to have one code base and only
one code base for these formats. A library has been written (with me as the
main author) to convert from these formats to BGR24 or YUV420. For more on this
library see:
http://hansdegoede.livejournal.com/3636.html

The attached patch adds support to the pwlib v4l2 plugin to use this
library if available on the system.

It has also been submitted upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=545108

libv4l has just been build for rawhide, and should show up in the next rawhide
push, in the mean time you can get it from koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=57774

###

A note about the patch, the patch is actually quite simple, as libv4l has been
designed for quick porting of existing apps to libv4l, for this reason libv4l
fully mimicks the raw /dev/video interface (and if no conversion is needed and
for non relevant calls like setting ctrl's, passes through all calls
unmodified).

All that the patch does and all that needs to be changed to use libv4l is
replace the relevant xxx calls on /dev/video with v4l2_xxx calls.

I've successfully tested this patch with ekiga and 2 spca561 cams (quite
popular IC, used by both logitech and creative), 2 pac207 cams (another quite
popular IC), 3 SN9C10X cams (also very popular) and 1 spca501 cam. All of which
do not work (unless using gspca version 1) without this patch, as pwlib does
not support their proprietary video formats (and rightfully so).

Created attachment 312759
PATCH: use libv4l in v4l2 plugin, adding support for many cam specific formats

Patch looks plausible, but I'm no expert. I'm curious to see how the upstream
bug goes.

(In reply to comment #3)
> Patch looks plausible, but I'm no expert. I'm curious to see how the upstream
> bug goes.

So am I :)

In the mean time can we have this patch go into rawhide please? We need to add
support to gstreamer's v4l2 plugin for the various cam specific formats oneway
or the other (I hope libv4l is the way), otherwise all the effort which has gone
into porting gspca to v4l2 and cleaning it up, which has lead to it being in the
mainline 2.6.27 kernel now, and thus in rawhide, is mostly in vain as people's
webcam's still won't work from an important group of applications.

I can co-maintain, or atleast request bugzilla watch rights for
gstreamer-plugins-good, if you want and then take care of any fallout this may
have. I already maintain gtsreamer-ffmpeg, gstreamer-plugins-ugly and
gstreamer-plugins-bad in that other repo.

If I become a co-maintainer I can also take care of adding the patch to CVS and
building it myself :)

There's still time before the beta. Please try to push the patch upstream first,
we'll see how this goes before adding it to rawhide.

I've submitted it upstream as noted in the original, but in my experience
upstream's response speed varies from fast to pretty slow. Also I would
preferably like to see this get some testing before the beta, the more testing
the better and remember release early release often :)

Note that this patch has just been accepted upstream, see:
http://bugzilla.gnome.org/show_bug.cgi?id=545108

If you want and the CVS ACL's allow it I can push this to rawhide myself.

Created attachment 313380
xawtv-3.95-fixes.patch

Short intro: I'm a long time Linux developer currently working on improving
webcam support in Linux, see:
http://fedoraproject.org/wiki/Features/BetterWebcamSupport

I'm one of the authors of the v4l2 rewrite of the gspca usb webcam driver
framework (which supports more then 100 different cams), this v4l2 rewrite has
been merged into the 2.6.27 kernel and thus will become available in the
official Linux kernel soon.

One of the parts of the v4l2 rewrite has been removing conversion from various
manufacturer cam specific video formats to more normal videoformats from the
drivers, as this really does not belong in kernel space.

As a result of this the gspca subdrivers can generate raw video frames in the
following formats:

#define V4L2_PIX_FMT_SN9C10X v4l2_fourcc('S', '9', '1', '0') /* SN9C10x
compressed bayer
#define V4L2_PIX_FMT_SPCA501 v4l2_fourcc('S', '5', '0', '1') /* YUYV per line
#define V4L2_PIX_FMT_SPCA505 v4l2_fourcc('S', '5', '0', '5') /* YYUV per line
#define V4L2_PIX_FMT_SPCA508 v4l2_fourcc('S', '5', '0', '8') /* YUVY per line
#define V4L2_PIX_FMT_SPCA561 v4l2_fourcc('S', '5', '6', '1') /* compressed
GBRG bayer
#define V4L2_PIX_FMT_PAC207 v4l2_fourcc('P', '2', '0', '7') /* compressed
BGGR bayer

As we do not want to see each application implement (nor having to implement)
support for these various formats, as we like to have one code base and only
one code base for these formats. A library has been written (with me as the
main author) to convert from these formats to BGR24 or YUV420. For more on this
library see:
http://hansdegoede.livejournal.com/3636.html

As such I've been working (for a number of days!) on a patch to add support for libv4l to xawtv. This has resulted in my doing a whole patch series, listed in the order in which the patches should be applied.

xawtv-3.95-fixes.patch
----------------------
Some small fixes which are needed for xawtv-3.95 to work with some v4l2 devices at all.

xawtv-3.95-libv4l2.patch
------------------------
Use libv4l2 to gain support for all kind of camera specific video formats

xawtv-3.95-no-dga.patch
-----------------------
xawtv does not work on many videocards without specifying -nodga, this patch
fixes this by catching the error and continuing as if the server does not support DGA at all

xawtv-3.95-v4l-conf-user-bpl.patch
----------------------------------
Allow root to override the detected number of bytes per line, this is needed
to get direct pci transfers to the framebuffer to work on my ati x1950pro

Note that for xawtv to work properly atleast version 0.4.0 of libv4l is needed,
rawhide currently has 0.3.9 and I cannot build 0.4.0 due to an error in the kernel-headers package.

p.s.

While writing all these patches and with all my recent v4l work in general I've become quite familiar with the xawtv code, so if you want I can become a co-maintainer (and push these patches myself).

Created attachment 313381
xawtv-3.95-libv4l2.patch

Created attachment 313382
xawtv-3.95-no-dga.patch

Created attachment 313392
xawtv-3.95-v4l-conf-user-bpl.patch

As I already was afraid little response from upstream sofar, could we please get this patch into rawhide so that it can get as much testing as possible. My offer to co-maintain still stands.

Feel free to commit and build using the latest patch I posted upstream on the bugzilla.

Built bastien's version of the patch in g-p-good 0.10.9-2.fc10.

Ping!

I really want to see this hit rawhide before we go into a beta freeze, and as the patch has been accepted upstream I so no reasons for not putting this in rawhide. If I get no response soon I'll commit it to rawhide myself (assuming the ACL's will let me).

Ping,

I would really like to see this fixed before F10-beta freeze so that the better webcam support feature can get some good testing in the Beta.

description: updated

Pong.

I am still thinking how to make libv4l2 support optional...

It seems that an option is not suitable here, as there are several applications (xawtv, streamer, fbtv, ...) and it is not good to hack all their cmdline interfaces.

Perhaps LD_PRELOAD is a way? If the only application still used by "end users" is "xawtv", then maybe just add "LD_PRRELOAD=..." into its .desktop file? (Saving all another utils unchanged).

P.S. Could you add autoconf stuff for libv4l2 patch as well?

(In reply to comment #5)
> Pong.
>
> I am still thinking how to make libv4l2 support optional...
>

Why would you want todo that? libv4l was explicitly designed to be transparent to the application.

With the current patch, libv4l does not get used / linked in to the lowlevel v4l-info, v4l-conf and v4lctl programs, so those are not affected, all the others actually stream data from the cam in one form or the other and thus need libv4l to work with cams which have funky video formats (IOW most of them!!).

> P.S. Could you add autoconf stuff for libv4l2 patch as well?

Why? Its a distro specific patch and we will always want to enable libv4l support, I will take a look at autoconf support when a new upstream is formed and patches need to become non distro specific so that they can be merged upstream.

> libv4l does not get used / linked in to the lowlevel
> v4l-info, v4l-conf and v4lctl programs

"v4lctl" actually uses libng drivers, ie. the patch affects it as well.

(In reply to comment #7)
> > libv4l does not get used / linked in to the lowlevel
> > v4l-info, v4l-conf and v4lctl programs
>
> "v4lctl" actually uses libng drivers, ie. the patch affects it as well.

Ah I didn't know that even then though, this is not a problem as libv4l does not touch any of the CTRL related ioctl's it passes them through to the kernel *completely* unmodified.

OK

I've added your patches (I have a little touched them, and add manual stuff for the "-p pitch"). Additionally, I've added some debian ones.

The results are available in Koji:
http://kojipkgs.fedoraproject.org/packages/xawtv/3.95/10.fc10/

Looks (In reply to comment #9)
> OK
>
> I've added your patches (I have a little touched them, and add manual stuff for
> the "-p pitch"). Additionally, I've added some debian ones.
>
> The results are available in Koji:
> http://kojipkgs.fedoraproject.org/packages/xawtv/3.95/10.fc10/

Works like a charm, including accessing webcams which do not work without libv4l and using my bttv tv card.

Thanks!

With the gspca module included in 2.6.27, this library is indeed necessary for the gspca supported webcams to work.
Yet, providing the libv4l package in intrepid won't be enough to avoid webcam support regression, as all the applications
that open(/dev/videoX) will need either a LD_PRELOAD hack or a patch to use libv4l.

Stéphane Marguet (stemp) wrote :

http://mentors.debian.net/debian/pool/main/l/libv4l/

The new versions 0.4.3-1 of libv4l packages.

For testing I uploaded them into my Intrepid ppa :
https://edge.launchpad.net/~stemp/+archive

Seems it's a bit late for that. Punting to F10Target.

(In reply to comment #4)
> Seems it's a bit late for that. Punting to F10Target.

Actually this is long fixed, byt I forgot to close the bug (woopsie) closing and removing from trackers.

edmon (bozhan-abv) wrote :

without this lib .... better remove v4l too :))
Importance whishlist for debian is enough but for desktop distribution like ubuntu importance must be CRITICAL!

Kees Cook (kees) wrote :

I've got a version for testing in my PPA, but I'd like to see how Debian's version shakes out over the weekend. I've suggested a number of changes to the packaging there.

https://lists.ubuntu.com/archives/ubuntu-devel/2008-October/026682.html

Just for when it is packaged, a list of some important packages that might need to be patched, or at least tested:

* xawtv (patch: https://bugzilla.redhat.com/show_bug.cgi?id=457796 )
* cheese (gstreamer patch: https://bugzilla.redhat.com/show_bug.cgi?id=456825 https://bugzilla.redhat.com/show_bug.cgi?id=465599 )
* ekiga
* camorama
* vlc (patch: https://trac.videolan.org/vlc/ticket/1804 )
* mplayer
* skype
* amsn
* pwlib (patch: https://bugzilla.redhat.com/show_bug.cgi?id=456868 )

A better and more comprehensive list is here:
http://linuxtv.org/v4lwiki/index.php/Libv4l_Progress

libv4l is in universe now.

Changed in libv4l:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xawtv - 3.95.dfsg.1-8ubuntu2

---------------
xawtv (3.95.dfsg.1-8ubuntu2) intrepid; urgency=low

  * Add 100_fedora-v4l2-fixes.dpatch: fixes for v4l2 use (from Fedora).
  * Add 101_fedora-nodga.dpatch: fixes for lack of DGA (from Fedora).
  * Add 102_fedora-use_libv4l.dpatch: use libv4l to open v4l devices (from
    Fedora) and added libv4l-dev Build-Dep (LP: #260918).

 -- Kees Cook <email address hidden> Fri, 10 Oct 2008 12:17:03 -0700

Changed in xawtv:
status: New → Fix Released

Shouldn't libv4l become a dependency also of all these programs?

On Fri, Oct 10, 2008 at 08:35:06PM -0000, Wouter Stomp wrote:
> Shouldn't libv4l become a dependency also of all these programs?

As patches are added, it needs to be added as a Build-Dep, but the shlibs
will fill in the binary Depend automatically.

Changed in gst-plugins-good0.10:
status: Unknown → Fix Released
Changed in pwlib:
status: Unknown → Fix Released
Changed in xawtv:
status: Unknown → Fix Released

This bug was fixed in the package gst-plugins-good0.10 - 0.10.10-1ubuntu1

---------------
gst-plugins-good0.10 (0.10.10-1ubuntu1) intrepid; urgency=low

  * Add 10_fedora-use_libv4l.patch: add libv4l support (from Fedora,
    LP: #260918), add libv4l-dev to Build-Deps.

 -- Kees Cook <email address hidden> Fri, 10 Oct 2008 12:35:37 -0700

Changed in gst-plugins-good0.10:
status: New → Fix Released
Kees Cook (kees) on 2008-10-10
Changed in gst-plugins-good0.10:
assignee: nobody → kees
importance: Undecided → High
Changed in libv4l:
assignee: nobody → lool
Changed in xawtv:
assignee: nobody → kees
importance: Undecided → High
Changed in pwlib:
assignee: nobody → kees
importance: Undecided → High
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pwlib - 1.10.10-2ubuntu3

---------------
pwlib (1.10.10-2ubuntu3) intrepid; urgency=low

  * Add 52_fedora-use_libv4l.dpatch: use libv4l (from Fedora), and add
    libv4l-dev to Build-Deps (LP: #260918).

 -- Kees Cook <email address hidden> Fri, 10 Oct 2008 15:32:22 -0700

Changed in pwlib:
status: In Progress → Fix Released
Kees Cook (kees) on 2008-10-10
Changed in came:
assignee: nobody → kees
importance: Undecided → High
Kees Cook (kees) on 2008-10-10
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package came - 1.9-3.1ubuntu1

---------------
came (1.9-3.1ubuntu1) intrepid; urgency=low

  * webcam.c, Makefile: patched to use libv4l (LP: #260918).
    - http://cvs.fedoraproject.org/viewvc/devel/camE/camE-1.9-libv4l1.patch

 -- Kees Cook <email address hidden> Fri, 10 Oct 2008 15:48:37 -0700

Changed in came:
status: New → Fix Released
Changed in ekiga:
status: Unknown → Fix Released
Changed in gst-plugins-good:
status: Unknown → Confirmed

I just tested cheese with a logitech quickcam, but if have it connected and I start cheese, it is busy for a little while and then locks up my computer (with blinking caps lock and scroll lock lights on the keyboard). Is it working on other configurations and should I open a separate bug?

Erik Andrén (erik-andren) wrote :

Wouter,
This bug only tracks libv4l and the packages that need to be modified in order to support it.
If your webcam hangs you should open a separate issue for it.

Kees Cook (kees) wrote :

ekiga uses pwlib for the webcam streams (marking the ekiga task "invalid").

Changed in ekiga:
status: New → Invalid
Yannick Defais (sevmek) wrote :

Hello,

Ekiga 3.0 do support libv4l natively.

One should mark the ekiga task as "Fixed"

Best regards,
Yannick

Yannick Defais (sevmek) wrote :

Fixed in ekiga 3.0

Changed in ekiga:
status: Invalid → Fix Committed
Kees Cook (kees) wrote :

The source code for ekiga does not contain any knowledge of libv4l. The required libraries do that (pwlib in 2.x and ptlib in 3.x). As such, libv4l support is not needed for ekiga (so it should stay "Invalid"). pwlib has already been fixed now, and ptlib supports libv4l already (and is not in the archive) so there is no task for it.

Changed in ekiga:
status: Fix Committed → Invalid
Changed in vlc:
status: Unknown → New
loko (arph) wrote :

For me, the webcam still doesn't work with cheese and ekiga 2 or 3. i still get the green picture where nothing is to see.

Also the LD_Preload-Hack doesn't work. I use Intrepid with all the latest updates (pwlib 1.10.10-2ubuntu3 is not available at the moment), i also use the latest gst-plugins-good0.10 0.10.10-1ubuntu1 (which is used from cheese i think)

this is my device:
lsusb: Bus 005 Device 009: ID 0ac8:0321 Z-Star Microelectronics Corp.

these are the errors i get from cheese:

ubuntu@ubuntu:~$ cheese
(cheese:9887): GStreamer-WARNING **: pad source:src returned caps which are not a real subset of its template caps
(cheese:9887): GStreamer-CRITICAL **: gst_value_set_fraction: assertion `denominator != 0' failed
(cheese:9887): GStreamer-WARNING **: pad source:src returned caps which are not a real subset of its template caps

Vincenzo Ciancia (vincenzo-ml) wrote :

The webcam more or less works in cheese in current intrepid beta, but not in ekiga (it says that there is no matching color space) and not in skype (it only shows a green picture). Should I reopen the bug in ekiga? In any case there is a regression in skype - even tough the program is closed, the driver is clearly providing wrong information to it.

loko (arph) wrote :

Vincenzo Ciancia,

reopening the bug in ekiga make sense because the problem is still not fixed. But, i don't how it's related with pwlib 1.10.10-2ubuntu3 which is not available at the moment. Maybe we should wait and see if this release fixes the problems for ekiga. The other thing you mentioned with skype, i can confirm and agree. Even it's closed source, it should be work with the webcams in the way it did in early ubuntu versions.

On Mon, 2008-10-13 at 14:48 +0000, Vincenzo Ciancia wrote:
> The webcam more or less works in cheese in current intrepid beta, but
> not in ekiga (it says that there is no matching color space) and not in
> skype (it only shows a green picture). Should I reopen the bug in ekiga?
> In any case there is a regression in skype - even tough the program is
> closed, the driver is clearly providing wrong information to it.
>

Hi Vicenzo,

Have you tried running skype and ekiga using LD_PRELOAD to make them
use libv4l?

Thanks,

James

Vincenzo Ciancia (vincenzo-ml) wrote :

I just tried the LD_PRELOAD with v4l taken from a ppa I found in another bug report. Now I finally understood that the libv4l-0 package which is in ubuntu is the same, and it works with both skype and ekiga, thank you.

James Westby (james-w) wrote :

Hi Vincenzo,

Thanks for testing. Could you now try installing libpt-1.10.10 version 1.10.10-2ubuntu3
and trying ekiga again to test that patch?

As for skype there is not much we can do. As it's an external package we can't even
provide a wrapper script that does the LD_PRELOAD trick. In my opinion it's not
important as we should spend our effort improving free software, but if anyone
uses skype and wants to ensure that it will work with their webcam in Intrepid they
may want to ensure skype are aware of the problem.

Thanks,

James

James Westby (james-w) wrote :

Ah, an attempt has been made to notify them, but there is no
response yet.

  https://developer.skype.com/jira/browse/SCL-403

(the link was on the tracking site)

Thanks,

James

Peter Miller (szr4321) wrote :

My Logitech QuickCam Communicate STX also stopped working when upgrading to Ubuntu Intrepid Ibex. However, the preload hack worked for me -- maybe the following is useful for someone else. It's especially tricky since I'm running a 64-bit Linux version and skype is still 32-bit.

sudo apt-get install lib32v4l-0 libv4l-0
(to have both the 32-bit and 64-bit versions.)

For camorama:
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so camorama

For skype:
LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype

Maybe a simple wrapper script for skype could be added to medibuntu?

I added a task for medibuntu too, hopefully they will do that.

loko (arph) wrote :

Well,

like i wrote in my case the preload-trick does not work, i always get a green picture. i tested with latest intrepid: cheese, camorama, ekiga 2+3 and skype. with or without preload - none of the programs work.

So i guess, there must be something wrong and the fix does not work for all devices?

See the attachments for detailed device-information

Changed in medibuntu:
assignee: nobody → mrpouit
importance: Undecided → Medium
status: New → Triaged
milestone: none → intrepid
Changed in medibuntu:
status: Triaged → Fix Committed
gerstrong (gerstrong) wrote :

I'm not sure, if cheese needs libv4l, but if it doesn't work with anyone of the apps, than it's a problem with the integrated drivers of webcam (gspca) in the kernel.

Are you able to compile gspca-source? Try, if that works...

 It's a package in Ubuntu.

Visko (visko) wrote :

The ld_preload trick works for me fine in case of Skype.

Visko (visko) wrote :

The ld_preload trick works for me fine in case of Skype. I only needed libv4l package:
aptitude install libv4l-0
and
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype

Thanks for this workaround! :)

In 64bits OS we need the 32bits of the libs, because skype is 32bits.

sudo apt-get install lib32v4l-0
LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype

On Sun, Oct 19, 2008 at 10:33 AM, Visko <email address hidden> wrote:

> The ld_preload trick works for me fine in case of Skype. I only needed
> libv4l package:
> aptitude install libv4l-0
> and
> LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype
>
> Thanks for this workaround! :)
>
> --
> needed: libv4l and associated application patches (or "gspca stopped
> working in 2.6.27")
> https://bugs.launchpad.net/bugs/260918
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
-------------------------------------
Marco Sousa

Achim (ach1m) wrote :

The latest update for gstreamer-good introduced the problem again.
My webcam isn't working with cheese (gstreamer) any more.

gst-plugins-good0.10 (0.10.10.3-1ubuntu1) intrepid; urgency=low

  * New version sync on Debian
  * debian/patches/10_fedora-use_libv4l.patch:
    - add libv4l support
  * debian/build-deps.in:
    - build-depends on libv4l-dev

 -- Sebastien Bacher <hidden> Sat, 18 Oct 2008 18:40:59 +0200

Can someone confirm that?

Regards
Achim

Hi

That last update made my webcam work. Thanks

Bus 007 Device 002: ID 05a9:7670 OmniVision Technologies, Inc.

apt-cache policy gstreamer0.10-plugins-good
gstreamer0.10-plugins-good:
  Instalados: 0.10.10.3-1ubuntu1
  Candidato: 0.10.10.3-1ubuntu1
  Tabla de versión:
 *** 0.10.10.3-1ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

mewithafez (firefish17) wrote :

Like Achim, my webcam had been working with cheese for a little while now, but now is broken again. It's a gspca Logitech QuickCam Communicate STX.

James Westby (james-w) wrote :

Hi,

It appears that the v4l patch was accidentally dropped in the last upload
of gst-plugins-good0.10. I'll ask Seb to check and correct this.

Thanks,

James

James Westby (james-w) wrote :

Hi,

A fixed package has already been uploaded.

Thanks,

James

Loïc Minier (lool) wrote :

Concerning skype, the new upstream version of libv4l is supposed to handle it better by supporting new cropping combinations.

I've pushed 0.5.1 to my ppa at https://edge.launchpad.net/~lool/+archive and I welcome feedback on whether it helps with skype. (Of course you still have to LD_PRELOAD this lib manually.)

Hi

The reapply of the patch has broken cheese here.

gst-plugins-good0.10 (0.10.10.3-1ubuntu2) intrepid; urgency=low

  * debian/patches/10_fedora-use_libv4l.patch:
    - use this change as described in the changelog

Dell xps m1330 with this webcam:
Bus 007 Device 002: ID 05a9:7670 OmniVision Technologies, Inc.

Kota (kotayamaguchi1984) wrote :

The last gstreamer update seems to cause strange behaviors. For the first use just after OS booted, cheese or any other application that uses gstreamer v4l2src works but with limited video resolution. However, if I quit and launch again the application, it freezes and never works. It also affects non-gstreamer application like luvcview. luvcview works well without outside use of gstreamer v4l2. However, once launching gstreamer applications which uses v4l2, luvcview never works.

Intrepid AMD64 on Dell XPS m1330
Bus 007 Device 002: ID 05a9:2640 OmniVision Technologies, Inc.

gerstrong (gerstrong) wrote :

Strange, my gspca webcam still works, even with all those updates.

It's a gspca_pac207.

I'm going to check other models.

Lawrence (wenzy-15) wrote :

Thanks.

Mine are

Vimicro ZS0301,
PC USB Cam ZC0211
Logitech ClickSmart 550

--- On Mon, 10/20/08, gerstrong <email address hidden> wrote:
From: gerstrong <email address hidden>
Subject: Re: [Bug 260918] Re: needed: libv4l and associated application patches (or "gspca stopped working in 2.6.27")
To: <email address hidden>
Date: Monday, October 20, 2008, 11:07 AM

Strange, my gspca webcam still works, even with all those updates.

It's a gspca_pac207.

I'm going to check other models.

--
needed: libv4l and associated application patches (or "gspca stopped
working in 2.6.27")
https://bugs.launchpad.net/bugs/260918
You received this bug notification because you are a direct subscriber
of a duplicate bug.

__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com

loko (arph) wrote :

gerstrong,

i compiled the gspca-driver from source and my webcam still gives out a green screen.

So maybe it is a problem with the driver.

Could you check model: Bus 005 Device 004: ID 0ac8:0321 Z-Star Microelectronics Corp. USB 2.0 Webcam

gerstrong (gerstrong) wrote :

I don't think so. It's a problem with the croppy screen resolution in
skype and co. If you a CIF Webcam, you should update libv4l to 0.5.1.
I've talked to the author and he solved the problem in this version.

After that, do a LD_PREPATCH.

Check the documentation of libv4l

Am Montag, den 20.10.2008, 08:43 +0000 schrieb loko:
> gerstrong,
>
> i compiled the gspca-driver from source and my webcam still gives out a
> green screen.
>
> So maybe it is a problem with the driver.
>
> Could you check model: Bus 005 Device 004: ID 0ac8:0321 Z-Star
> Microelectronics Corp. USB 2.0 Webcam
>

mewithafez (firefish17) wrote :

Hi, after today's updates the webcam works in cheese but puts out that green screen in skype, I would try the preload thing but skype at the moment doesn't like my speakers or microphone anyway.

gerstrong (gerstrong) wrote :

please don't forget to compile the latest version libv4l. It is not in
the official repository yet.

download and compile it, if you have a CIF Webcam.

Loïc Minier (lool) wrote :

As I wrote earlier, no need to build it yourself, you can use the binaries from my ppa at:
    https://edge.launchpad.net/~lool/+archive
where I pushed version 0.5.1 of libv4l which should help for skype support.

I'm waiting for feedback on improvements for skype to second the FFE in bug #286070.

I have this other webcam:
Bus 001 Device 007: ID 046d:09a4 Logitech, Inc.

It doesn't work either with cheese if resolution is higher than 176x144. I think it's the same bug as the xps m1330 integrated webcam.

Henrik Nilsen Omma (henrik) wrote :

I installed the for-64-bit-version of the 32-bit lib from your PPA (Thanks Loïc!). Skype now starts fine and I get the camera working in the test area in preferences. When I call another box with skype I'm not given the option to send video though.

Steve Langasek (vorlon) wrote :

vlc is a media player, playing from video inputs is not core functionality. Marking 'wontfix' for intrepid.

Changed in vlc:
status: New → Won't Fix
Steve Langasek (vorlon) wrote :

mplayer is a media player, playing from video inputs is not core functionality. Marking 'wontfix' for intrepid.

Changed in mplayer:
status: New → Won't Fix
Steve Langasek (vorlon) wrote :

amsn's primary function is as an instant messaging client, webcam functionality is secondary. Marking 'wontfix' for intrepid since no one appears to be picking this up.

Changed in amsn:
status: New → Won't Fix

With libv4l-0_0.5.1-1 from the PPA cheese still doesn't work. Player does, as so does ekiga. Anyone knows why my webcam works without the libv4l? As I'm guessing any app not using that library is working here (mplayer, ekiga 2) but cheese that uses gstreamer doesn't.

The weird thing is that gst-lauch does work first. Then, if I launch cheese (which doesn't work) it will stop working also. The gstreamer patch is not good enough here.

s/Player/Mplayer

loko (arph) wrote :

i agree with kmon,

with the latest v4l (0.5.1) ekiga works, but cheese don't work (even with preload). The gstreamer-patch is indeed not good, the problem is not fixed!

gerstrong (gerstrong) wrote :

Once again, you must check if you have 32-bits or 64-bits. There are two
different versions.

If you have a 64-bit System, you need to create libv4l for 64-bits and
for 32-bits to get all webcam apps working.

If you use skype, even having 64-bit you need to use 32-bit libs. You
must compile libv4l for both to get complete functionality.

So do the following:
1.- download the source-code of libv4l here:
http://people.atrpms.net/~hdegoede/libv4l-0.5.1.tar.gz

2.- Compile the source-code for a 32-bit system and for a 64 bit-system.
More informationm about cross-compiling.
http://ubuntuforums.org/showthread.php?p=5997445

I did it that way for 32-bits:

export CC="gcc -m32"
export LDFLAGS="-L/usr/lib32"
make
sudo make install

After that you compile this for 64-bits

3.- Use the prepatch (ex.: Skype)
export LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so
skype

I hope it helps you out. At least in my case it did. I had the green
bars in skype too, and I solved it this way.

Am Montag, den 20.10.2008, 21:16 +0000 schrieb kmon:
> With libv4l-0_0.5.1-1 from the PPA cheese still doesn't work. Player
> does, as so does ekiga. Anyone knows why my webcam works without the
> libv4l? As I'm guessing any app not using that library is working here
> (mplayer, ekiga 2) but cheese that uses gstreamer doesn't.
>
> The weird thing is that gst-lauch does work first. Then, if I launch
> cheese (which doesn't work) it will stop working also. The gstreamer
> patch is not good enough here.
>

Stéphane Marguet (stemp) wrote :

I'm using 8.10 32-bits.
Cheese is not working (not even with LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so)
With libv4l 0.5 it still doesn't work.

With both I have the same messages :

$ LANG= cheese
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error
(cheese:12158): GStreamer-CRITICAL **: gst_bin_remove: assertion `GST_IS_BIN (bin)' failed
(cheese:12158): GStreamer-CRITICAL **: gst_bin_add: assertion `GST_IS_BIN (bin)' failed
** (cheese:12158): WARNING **: Couldn't change webcam device.

The last message happen when I'm trying to change the device from my tv tuner to the webcam.

NB : Cheese was working when I was using LD_PRELOAD before the official inclusion of libv4l

loko (arph) wrote :

gerstrong,

i did it exactly the way you describe above, but for me this does not work. Neither for skype nor for cheese.

And, what i wrote above is wrong. The 0.5.1 of libv4l does not make ekiga to work for me. it only worked once, but i closed it and started it again, and now the green screen is back.

So for my webcam, libv4l does not work, with no application at the moment. Like Stéphane Marguet i also get libv4l2: error dequeuing buf: Input/output error in cheese.

gerstrong (gerstrong) wrote :

What is your output of "lsmod" and "lsusb"? Can you paste them?

Am Dienstag, den 21.10.2008, 15:17 +0000 schrieb loko:
> gerstrong,
>
> i did it exactly the way you describe above, but for me this does not
> work. Neither for skype nor for cheese.
>
> And, what i wrote above is wrong. The 0.5.1 of libv4l does not make
> ekiga to work for me. it only worked once, but i closed it and started
> it again, and now the green screen is back.
>
> So for my webcam, libv4l does not work, with no application at the
> moment. Like Stéphane Marguet i also get libv4l2: error dequeuing buf:
> Input/output error in cheese.
>

gerstrong (gerstrong) wrote :

This problem still must be solved. If anyone want the full support of
Hardware, but also Intrepid, I would recommend installing the Kernel
2.6.24 and using the packages of Intrepid. You won't notice the
difference, and gspca can be compiled and works.

This would be another temporary solution.

gerstrong (gerstrong) wrote :

@Stephane:

It should work with "export LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so"
not "v4l2convert". After compiling and installing, did you restart
Linux? Are you sure, you installed 0.5.1? Try to uninstall the old one
before compiling yourself the new version?

Tell me too, the outputs of "lsusb" and "lsmod"

Thx

Am Dienstag, den 21.10.2008, 13:36 +0000 schrieb Stéphane Marguet:
> I'm using 8.10 32-bits.
> Cheese is not working (not even with LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so)
> With libv4l 0.5 it still doesn't work.
>
> With both I have the same messages :
>
> $ LANG= cheese
> libv4l2: error dequeuing buf: Input/output error
> libv4l2: error dequeuing buf: Input/output error
> (cheese:12158): GStreamer-CRITICAL **: gst_bin_remove: assertion `GST_IS_BIN (bin)' failed
> (cheese:12158): GStreamer-CRITICAL **: gst_bin_add: assertion `GST_IS_BIN (bin)' failed
> ** (cheese:12158): WARNING **: Couldn't change webcam device.
>
> The last message happen when I'm trying to change the device from my tv
> tuner to the webcam.
>
> NB : Cheese was working when I was using LD_PRELOAD before the official
> inclusion of libv4l
>

On Tue, Oct 21, 2008 at 01:36:08PM -0000, Stéphane Marguet wrote:
> libv4l2: error dequeuing buf: Input/output error

This went away for me after a full update and reboot.

Changed in medibuntu:
status: Fix Committed → Fix Released
Stéphane Marguet (stemp) wrote :

@gerstrong:

I'm using libv4l -0 0.5.1-1 from Loïc PPA.

$ lsusb
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 116f:c108 Silicon 10 Technology Corp.
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 04d9:048e Holtek Semiconductor, Inc.
Bus 001 Device 005: ID 046d:08a2 Logitech, Inc. Labtec WebCam Pro
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

$lsmod (see attached file)

But I don't understand why you are talking about v4l1compat.so for Cheese, it's a v4l2 application !

Before the patches, I was using :
$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so camorama
$ LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so cheese

Giovanni Lovato (heruan) wrote :

$ lsusb
Bus 005 Device 004: ID 046d:0892 Logitech, Inc. OrbiCam

$ LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so cheese
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error

James Westby (james-w) wrote :

bug 281600 also looks like it could be relevant.

Thanks,

James

Loïc Minier (lool) wrote :

Note for cheese users, with up-to-date intrepid, you shouldn't have to use libv4l, it will be picked up automatically (cheese uses gstreamer's v4l2 plugins which have been patched to use libv4l).

Stéphane Marguet (stemp) wrote :

Since a new restart, cheese is working.
Unfortunately it's unusable as it's taking 100% CPU and show only one picture every 10 seconds.

There is no messages.

As a reminder, before the gstreamer patches, cheese was working fluently with ld_preload.

aus (aus.) wrote :

This preload 'workaround' currently being used actually breaks my webcam using the pwc driver.

Using 2.6.27-7-generic and lsusb output:
Bus 002 Device 002: ID 046d:08b0 Logitech, Inc. QuickCam 3000 Pro [pwc]

Both skype and camorama don't work with the LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so line.
Skype gives the famous 'green' image and camorama just shows a black screen. Cheese doesn't work either way (but might be due to the 'patched' gstreamer backend).

My guess is that this fix for the gspca driver, can have adverse effects with regard to other drivers.
Maybe someone else using a pwc driver can replicate this? (e.g. with the medibuntu package trying to just start /usr/bin/skype.real, or running camorama with/without the LD_PRELOAD line)

Mike Basinger (mike.basinger) wrote :

Getting the follow error with the workaround. Not sure if it would help with the bug.
dbasinge@mikebuntu:~$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
bt_audio_service_open: connect() failed: Connection refused (111)
Starting the process...
Skype Xv: Xv ports available: 32
Skype XShm: XShm support enabled
Skype Xv: Using Xv port 280
libv4l2: error dequeuing buf: Invalid argument

Isn't pwc another driver?

Are you sure, it was a gspca-webcam?

Am Mittwoch, den 22.10.2008, 23:03 +0000 schrieb aus:
> This preload 'workaround' currently being used actually breaks my webcam
> using the pwc driver.
>
> Using 2.6.27-7-generic and lsusb output:
> Bus 002 Device 002: ID 046d:08b0 Logitech, Inc. QuickCam 3000 Pro [pwc]
>
> Both skype and camorama don't work with the LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so line.
> Skype gives the famous 'green' image and camorama just shows a black screen. Cheese doesn't work either way (but might be due to the 'patched' gstreamer backend).
>
> My guess is that this fix for the gspca driver, can have adverse effects with regard to other drivers.
> Maybe someone else using a pwc driver can replicate this? (e.g. with the medibuntu package trying to just start /usr/bin/skype.real, or running camorama with/without the LD_PRELOAD line)
>

gerstrong (gerstrong) wrote :

there is a new version of libv4l. Download it, try to compile it, and
tell me what happens.

Am Donnerstag, den 23.10.2008, 15:03 +0000 schrieb Mike Basinger:
> Getting the follow error with the workaround. Not sure if it would help with the bug.
> dbasinge@mikebuntu:~$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> bt_audio_service_open: connect() failed: Connection refused (111)
> Starting the process...
> Skype Xv: Xv ports available: 32
> Skype XShm: XShm support enabled
> Skype Xv: Using Xv port 280
> libv4l2: error dequeuing buf: Invalid argument
>

Flametrees (flametrees) wrote :

I have found that using the LD_PRELOAD workaround fixes my "green screen" with Skype.

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype

My "Logitech Quickcam for Notebooks" 046d:08dd works fine, but my terminal fills up with errors listed below. I have no idea what this means, and only reference it here as it may assist those that appear to be diagnosing issues with Webcams.

libv4lconvert: Error decompressing JPEG: unknown huffman code: 0000fffb
libv4lconvert: Error decompressing JPEG: unknown huffman code: 0000fffd
libv4lconvert: Error decompressing JPEG: unknown huffman code: 0000ffff

Thank you to all for your assistance. I'm glad I can now use my cam again :)

Regards,
Andrew

Loïc Minier (lool) wrote :

I've pushed 0.5.2 to my ppa.

@gerstrong: I get a regression with 0.5.2 in camorama; red appears purple.

People with random webcams which worked in intrepid before libv4l was introduced and don't work anymore, please retest with 0.5.2 and report issues with cheese for instance along with your exact model and the output of lsbusb -vv >lsusb.txt.

gerstrong (gerstrong) wrote :

@Loïc Minier: I didn't test this version, but I know, that camorama has
problems with colours sometimes. I would test another programme, or if
you load your module of gspca again and pass FORCE_RGB. I'm not sure, if
it still works.

Camorama has some known bugs, and are going to be fixed soon.

Am Freitag, den 24.10.2008, 10:40 +0000 schrieb Loïc Minier:
> I've pushed 0.5.2 to my ppa.
>
> @gerstrong: I get a regression with 0.5.2 in camorama; red appears
> purple.
>

I've tried 0.5.2 with this webcam:
Bus 001 Device 007: ID 046d:09a4 Logitech, Inc.

and it works with cheese, so great!

I'll test with xps's webcam later and report.

spoke too soon. Cheese was using a lower resolution, which always worked, 640x480 still doesn't work with 0.5.2

aus (aus.) wrote :

Pwc is another driver indeed. The problem was that preloading libv4l actually broke the other driver. The newest libv4l-0 (0.5.2-1~dooz1 ) fixes the problem for me. Now both with and without LD_PRELOAD the webcam works again with the pwc driver.

tnx ;)

> Isn't pwc another driver?
>
> Are you sure, it was a gspca-webcam?

The new version 0.5.2 doesn't work with cheese and xps webcam. All other apps work as previously stated.

Loïc Minier (lool) wrote :

@kmon: is this a regression? from what version of which packages?

Stéphane Marguet (stemp) wrote :

@Loïc : With 0.5.1 Cheese was working badly, with 0.5.2 it doesn't work at all.
Same old error : libv4l2: error dequeuing buf: Input/output error

renbag (renbag) wrote :

My webcam is now working in intrepid 64-bit, after installing version 0.5.2-1~dooz1 of libv4l-0 and lib32v4l-0.
Cheese and ekiga work as in hardy. However I'm not able to see the video with skype.

lsusb:
Bus 001 Device 031: ID 046d:08b1 Logitech, Inc. QuickCam Notebook Pro

dmesg:
[10177.516782] pwc: Philips webcam module version 10.0.13 loaded.
[10177.516793] pwc: Supports Philips PCA645/646, PCVC675/680/690, PCVC720[40]/730/740/750 & PCVC830/840.
[10177.516795] pwc: Also supports the Askey VC010, various Logitech Quickcams, Samsung MPC-C10 and MPC-C30,
[10177.516798] pwc: the Creative WebCam 5 & Pro Ex, SOTEC Afina Eye and Visionite VCS-UC300 and VCS-UM100.
[10179.617120] pwc: Logitech QuickCam Notebook Pro USB webcam detected.
[10179.617260] pwc: Registered as /dev/video1.
[10179.621379] usbcore: registered new interface driver Philips webcam
[10179.946834] usbcore: registered new interface driver snd-usb-audio

@loic: This is a regression from hardy. I've filled the details here:
https://bugs.launchpad.net/ubuntu/+bug/281771

Let me add that when I try to use my webcam, kern.log is flooded with messages such as those:

[48270.356410] gspca: frame overflow 615378 > 614400
[48270.416400] gspca: frame overflow 615378 > 614400
[48270.476437] gspca: frame overflow 616402 > 614400
[48270.536411] gspca: frame overflow 616402 > 614400
[48270.595202] gspca: frame overflow 617426 > 614400
[48270.655195] gspca: frame overflow 615378 > 614400
[48270.715192] gspca: frame overflow 615378 > 614400
[48270.775188] gspca: frame overflow 616402 > 614400
[48270.833958] gspca: frame overflow 616402 > 614400
[48270.893954] gspca: frame overflow 617426 > 614400
[48270.953948] gspca: frame overflow 615378 > 614400
[48271.013945] gspca: frame overflow 615378 > 614400

fdmarco (fdmarco3) wrote :

@Loïc Minier: tested skype and cheese with libv4l and lib32v4l 0.5.2 and both are working fine in intrepid ibex amd64.
my webcam from lsusb is:

Bus 001 Device 002: ID 093a:2468 Pixart Imaging, Inc. Cammaestro 2.5DU/X-EYE/Orite SC-120/ICGear TravelCam/Easy Snap Snake Eye WebCam

It's a Trust Mini Webcam WB-1200p

Thanks for your work and hope others will have libv4l 0.5.2 on the official ubuntu repo very soon as this is very annoying to have a green screen :)

Suzan (suzan72) wrote :

Had the same issue with my Philips SPC900NC/OO webcam, which uses the pwc driver.

Installing libv4l - 0.5.2-1 work wonderful for me, even starting Skype quite normal without LD_PRELOAD .

Hopefully this libv4l version make it into the final release.

spiderbatdad (spiderbatdad) wrote :

I use a logitech quickCam Express:Bus 002 Device 002: ID 046d:0870 Logitech, Inc. QuickCam Express
I have run updates, installed gspca-source, tried LD_PRELOAD...and other workarounds suggested in this thread.
Camorama works for me. I cannot get skype or gyachi to work. Both programs recognize the device. Skype will dump if I try to launch the cam. Gyachi reports the device does not support capture.

 ~$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so gyachi

(gyachi-upload:8715): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion `height >= -1' failed

 ~$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype
Skype V4L: Device does not support video capture
Starting the process...
Skype Xv: Xv ports available: 17
Skype XShm: XShm support enabled
Skype Xv: Using Xv port 57
Skype Xv: No suitable overlay format found
Aborted

glennric (glennric) wrote :

I am having the problem with a green screen in cheese or skype. I use a logitech quickcam zoom: Bus 002 Device 007: ID 046d:08b4 Logitech, Inc. QuickCam Zoom
Ekiga and camorama work. Also if I run gstreamer-properties and test the webcam it works after about 30 seconds or so (it sits there for a while before the video comes up).

glennric (glennric) wrote :

I need to add that I tried the 0.5.2 libv4l from https://edge.launchpad.net/~lool/+archive and this seems to fix the problem.

marcogoni (cogoni) wrote :

I had problems with a Philips SPC900NC webcam and they were solved partially with libv4l 0.5.2, but i still have a problem: the cam does not work under flash sites accessing the webcam. Maybe this is just a problem with flash 10...

Knedlyk (yupadmin) wrote :

My webcamera still doesn't work, even with libv4l 0.5.2 and LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so

dmsg:

[ 3741.561911] Linux video capture interface: v2.00
[ 3741.610077] gspca: main v2.2.0 registered
[ 3741.616204] gspca: probing 093a:262a
[ 3741.643166] gspca: probe ok
[ 3741.643265] usbcore: registered new interface driver pac7311
[ 3741.646481] pac7311: registered

Camorama gives message "unable to capture image", skype webcamera test gives only green window and no image.

System: Intrepid
Linux 2.6.27-7-generic #1 SMP Fri Oct 24 06:42:44 UTC 2008 i686 GNU/Linux

gerstrong (gerstrong) wrote :

Did you use v4l1compat.so instead v4l2convert.so ?

Am Donnerstag, den 30.10.2008, 19:05 +0000 schrieb Knedlyk:
> My webcamera still doesn't work, even with libv4l 0.5.2 and
> LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so
>
> dmsg:
>
> [ 3741.561911] Linux video capture interface: v2.00
> [ 3741.610077] gspca: main v2.2.0 registered
> [ 3741.616204] gspca: probing 093a:262a
> [ 3741.643166] gspca: probe ok
> [ 3741.643265] usbcore: registered new interface driver pac7311
> [ 3741.646481] pac7311: registered
>
> Camorama gives message "unable to capture image", skype webcamera test
> gives only green window and no image.
>
>
> System: Intrepid
> Linux 2.6.27-7-generic #1 SMP Fri Oct 24 06:42:44 UTC 2008 i686 GNU/Linux
>

Knedlyk (yupadmin) wrote :

Yes, I did try. Here is an output:

LD_PRELOAD=/usr/lib/libv4l/v4l2compat.so camorama
ERROR: ld.so: object '/usr/lib/libv4l/v4l2compat.so' from LD_PRELOAD cannot be preloaded: ignored.

(camorama:7000): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

I have libv4l from https://edge.launchpad.net/~lool/+archive .

Knedlyk (yupadmin) wrote :

I did a mistake, I don't have v4l2compat.so, just only v4l1compat.so and v4l2convert.so in /usr/lib/libv4l/ folder.

gerstrong (gerstrong) wrote :

No, it's v4l1compat.so

Am Donnerstag, den 30.10.2008, 20:17 +0000 schrieb Knedlyk:
> Yes, I did try. Here is an output:
>
> LD_PRELOAD=/usr/lib/libv4l/v4l2compat.so camorama
> ERROR: ld.so: object '/usr/lib/libv4l/v4l2compat.so' from LD_PRELOAD cannot be preloaded: ignored.
>
> (camorama:7000): Gtk-WARNING **: GtkSpinButton: setting an adjustment
> with non-zero page size is deprecated
>
> I have libv4l from https://edge.launchpad.net/~lool/+archive .
>

gerstrong (gerstrong) wrote :

you can use v4l1compat.so for v4l2. Generally v4l2convert isn't used.

Am Donnerstag, den 30.10.2008, 20:20 +0000 schrieb Knedlyk:
> I did a mistake, I don't have v4l2compat.so, just only v4l1compat.so and
> v4l2convert.so in /usr/lib/libv4l/ folder.
>

Knedlyk (yupadmin) wrote :

It doesn't matter which of them I'm using, result is the same - "unable to capture picture" in camorama immediately with v4l1compat.so, and the same message but with camorama gui.

revanb (revanb) wrote :

Hi

I have a Logitech E3500 Webcam that worked very well in Hardy. (Though I'm very happy I upgraded to Intrepid as my graphics card, ATI Mobility Radeon 9600, is working perfectly now and much faster...used to freeze up X often while using compiz)

The >> LD_PRELOAD=/usr/lib/libv4l/v4l2compat.so skype << trick works for me!

But it doesnt work for cheese. Neither does the v4l2convert.so option.

PLEASE NOTE: If you are trying these options I have noticed that if I try it with cheese (which doesn't work) first, then skype will not work until I unplug and plug in the webcam again. Cheese seems to break the webcam somehow until it is re-plugged!

Thanks for the tips on this page!

loko (arph) wrote :

Ok, the status is the follwing with my 0ac8:0321 Z-Star Microelectronics Corp-Webcam.

i've installed libv4l 0.5.3.

Ekiga: The Webcam works with the LD_PRELOAD-trick. But only 320x240 instead of 640x480 resolution is possible.
Camorama: even works with the trick, but also 320x240 only and wrong colors.
Cheese: dont't work, even with LD_PRELOAD

So the conclusion is, that at the moment libv4l is far from good.

Ciso (cisoprogressivo) wrote :

The new libv4l 0.5.3 doesn't work for me on Dell XPS M1330 and Dell Inspiron 1525

Fabian A. Scherschel (fabsh) wrote :

Same here. I have problems with both uvcvideo and gspca cams as described here: bug #293521.

Fabián Rodríguez (magicfab) wrote :

Testing this in Intrepid, I also got a camera (0ac8:303b) that worked well in Hardy, previously using zc0301. Now using gspca_zc3xx doesn't work.

yasou (yasou) wrote :

Fabian, the bug you have is not entirely based on the libv4l issue. First of all you have to get rid of zc0301 to be able to use gspca_zc3xx, and then apply LD_PRELOAD=v4....
it is not enough to blacklist, you have to compile a new version of gspca

see here for a complete solution:
https://bugs.launchpad.net/ubuntu/+bug/293259

so in addition to the problem with having to preload the v4l1-compat library for some cameras that might use zc0301, sn9c102 or other non-gspca drivers, the webcam drivers must be recompiled. Look here for a more professional description:
http://bugzilla.kernel.org/show_bug.cgi?id=11920

Motin (motin) wrote :

I am having trouble following the status of this bug. It says that the gst-plugins for Intrepid is "Fix released", but for instance Cheese nor Skype can't use my webcam on XPS M1330 with Intrepid.

All bug reports that are written in the style of "[intrepid] Webcam not working in Cheese or Skype any longer" are marked as duplicates of this bug...

Should I maybe switch the gst-plugins back to "Confirmed" - or open up new bug reports - one for each application + webcam combination?

Please help us who simply realize that our webcams don't work any longer in Intrepid...

Thanks!

My webcam doesn't work with Intrepid, either (even using up-to-date v4l1compat.so). Compiling gspca-source fails (see Bug #151445).

$ lsusb
Bus 003 Device 002: ID 0ac8:0302 Z-Star Microelectronics Corp. ZC0302 WebCam

$ dmesg
[44723.232066] usb 1-1: new full speed USB device using uhci_hcd and address 2
[44723.446481] usb 1-1: configuration #1 chosen from 1 choice
[44723.967887] gspca: main v2.2.0 registered
[44724.046031] gspca: probing 0ac8:0302
[44724.159289] zc3xx: probe sensor -> 04
[44724.159297] zc3xx: Find Sensor CS2102
[44724.164777] gspca: probe ok
[44724.164818] usbcore: registered new interface driver zc3xx
[44724.166048] zc3xx: registered

$ cheese
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error
^C

$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so cheese
libv4l2: error dequeuing buf: Input/output error
libv4l2: error dequeuing buf: Input/output error
^C

Here skype & ekiga are working, but cheese, asmn and websites with flash plugins using the webcam are not working.

$ lsusb
Bus 005 Device 004: ID 046d:0892 Logitech, Inc. OrbiCam

$ cheese
libv4l2: error dequeuing buf: Erreur d'entrée/sortie

with tail -f /var/log/messages full of
Nov 9 17:39:29 christophe-laptop kernel: [ 4868.012982] gspca: frame overflow 615378 > 614400
Nov 9 17:39:29 christophe-laptop kernel: [ 4868.072973] gspca: frame overflow 615378 > 614400
Nov 9 17:39:29 christophe-laptop kernel: [ 4868.132974] gspca: frame overflow 616402 > 614400
Nov 9 17:39:29 christophe-laptop kernel: [ 4868.192932] gspca: frame overflow 617426 > 614400

$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so cheese
Exaclty the same errors than above

If someone needs more info, just ask :)

Kees Cook (kees) on 2008-11-10
Changed in came:
assignee: kees → nobody
assignee: kees → nobody
Changed in gst-plugins-good0.10:
assignee: kees → nobody
assignee: kees → nobody
Changed in pwlib:
assignee: kees → nobody
assignee: kees → nobody
Changed in xawtv:
assignee: kees → nobody
assignee: kees → nobody
Andres Mujica (andres.mujica) wrote :

Hi, as this is one of many of the bug reports concerning webcams malfunctioning in Intrepid, and looking for get a good vision of the issues presented these are the metabugs that should receive it's corresponding duplicates.

bug #260918 - libv4l issues with GSPCA neither cheese, ekiga, camorama work.
bug #290506 - gstreamer/cheese issues with UVCVIDEO. cheese only works with low resolution. ekiga and others work.
bug #287888 - issues with UVCVIDEO neither cheese, ekiga, camorama, kopete work.
bug #282473 - cheese, ekiga issues with green screen using PWC module.

Please don't hesitate in add more bugs or indicate something else.

Thanks a lot.

vivia (vivia) wrote :

aMSN patch to use libv4l (Applies to the SVN version) :

http://amsn.svn.sourceforge.net/viewvc/amsn?view=rev&revision=10551

This patch might also be useful:

http://amsn.svn.sourceforge.net/viewvc/amsn?view=rev&revision=10639

Changed in amsn:
assignee: nobody → d.filoni
status: New → In Progress
erlguta (gonzalomarcote) wrote :

Same problem here.
My webcam worked perfect in Hardy.
Cheese and Skype (medibuntu) does not works.
Ekiga works.

$ lsusb:
Bus 005 Device 005: ID 046d:c719 Logitech, Inc.
Bus 005 Device 004: ID 046d:c718 Logitech, Inc.
Bus 005 Device 003: ID 413c:8130 Dell Computer Corp.
Bus 005 Device 002: ID 046d:0b05 Logitech, Inc.
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 002: ID 0644:0201 TEAC Corp.
Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 046d:c52a Logitech, Inc.

Motin (motin) wrote :

Ekiga works as it is.

Now also Cheese and Skype:
Upgrading libv4l-0 to from 0.5.0-3~intrepid1 to 0.5.3-1~dooz1 (found in https://launchpad.net/~lool/+archive), then unloading and loading uvcvideo (sudo modprobe -r uvcvideo && sudo modprobe uvcvideo), made cheese and skype work without needed any preloading or other hacks.

Just tested this. Cheese works, but only at resolution 160x120. I get nothing in Skype. Anything I can do to help?

gerstrong (gerstrong) wrote :

There will be 0.5.4 soon! Check if this work for you, too!

Am Donnerstag, den 20.11.2008, 12:57 +0000 schrieb Motin:
> Ekiga works as it is.
>
> Now also Cheese and Skype:
> Upgrading libv4l-0 to from 0.5.0-3~intrepid1 to 0.5.3-1~dooz1 (found in https://launchpad.net/~lool/+archive), then unloading and loading uvcvideo (sudo modprobe -r uvcvideo && sudo modprobe uvcvideo), made cheese and skype work without needed any preloading or other hacks.
>

gerstrong (gerstrong) wrote :

DId you use medibuntu version?

Am Donnerstag, den 20.11.2008, 14:28 +0000 schrieb Ken Pimontel:
> Just tested this. Cheese works, but only at resolution 160x120. I get
> nothing in Skype. Anything I can do to help?
>

I use the following

Package: libv4l-0
New: yes
State: installed
Automatically installed: yes
Version: 0.5.3-1~dooz1

$ uname -a
Linux Cupid 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux

$ aptitude show cheese
Package: cheese
State: installed
Automatically installed: no
Version: 2.24.1-0ubuntu1

Anything else I can provide?

sjbaugh (steve-baugh) wrote :

I tried:

"Upgrading libv4l-0 to from 0.5.0-3~intrepid1 to 0.5.3-1~dooz1 (found in https://launchpad.net/~lool/+archive), then unloading and loading uvcvideo (sudo modprobe -r uvcvideo && sudo modprobe uvcvideo), made cheese and skype work without needed any preloading or other hacks."

Did not work with skype and my ZC0301 webcam. Cheese worked before and after I made the change. I am using Intrepid 64 bit, is the 64 bit an issue?

sjbaugh (steve-baugh) wrote :

Further to above:

dmesg gives:

[ 18.827471] Linux video capture interface: v2.00
[ 18.913610] zc0301: V4L2 driver for ZC0301[P] Image Processor and Control Chip v1:1.10
[ 18.914292] usb 3-2: ZC0301[P] Image Processor and Control Chip detected (vid/pid 0x0AC8:0x303B)
[ 18.994919] usb 3-2: PB-0330 image sensor detected
[ 19.085649] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 19.085668] HDA Intel 0000:00:1b.0: setting latency timer to 64
[ 19.410923] usb 3-2: Initialization succeeded
[ 19.411016] usb 3-2: V4L2 device registered as /dev/video0
[ 19.411032] usbcore: registered new interface driver zc0301

and

[ 1563.350934] compat_ioctl32: VIDIOC_ENUM_FRAMESIZESioctl32(skype.real:6334): Unknown cmd fd(34) cmd(c02c564a){t:'V';sz:44} arg(f5df8ae4) on /dev/video0
[ 1563.353259] compat_ioctl32: VIDIOC_S_PARMioctl32(skype.real:6334): Unknown cmd fd(34) cmd(c0cc5616){t:'V';sz:204} arg(f5df8e30) on /dev/video0
[ 1563.358816] compat_ioctl32: VIDIOC_ENUM_FRAMESIZESioctl32(skype.real:6334): Unknown cmd fd(34) cmd(c02c564a){t:'V';sz:44} arg(f5df8ab4) on /dev/video0
[ 1563.359887] compat_ioctl32: VIDIOC_S_PARMioctl32(skype.real:6334): Unknown cmd fd(34) cmd(c0cc5616){t:'V';sz:204} arg(f5df8e00) on /dev/video0

sjbaugh (steve-baugh) wrote :

I am an idiot! When I re-built v4l for the gspca_zc3xx driver I did not do it properly the first time and it re-built it with the ZC0301 driver. Now I have done it properly skype now works OK without any hacks (having previously installed 0.5.3-1~dooz1 as above. Thanks for the comments here from everybody.

Knedlyk (yupadmin) wrote :

Hi,

What do you mean under "rebuilt"? Did rebuild v4l from source code or
did you rebuild gspca driver from source? Could you explain what you did
in clearer way, pls?

Y.

sjbaugh написав(ла):
> I am an idiot! When I re-built v4l for the gspca_zc3xx driver I did not
> do it properly the first time and it re-built it with the ZC0301 driver.
> Now I have done it properly skype now works OK without any hacks (having
> previously installed 0.5.3-1~dooz1 as above. Thanks for the comments
> here from everybody.
>

sjbaugh (steve-baugh) wrote :

I followed the procedure pointed to above:
"Fabian, the bug you have is not entirely based on the libv4l issue. First of all you have to get rid of zc0301 to be able to use gspca_zc3xx, and then apply LD_PRELOAD=v4....
it is not enough to blacklist, you have to compile a new version of gspca

see here for a complete solution:
https://bugs.launchpad.net/ubuntu/+bug/293259"

The procedure to do it is at:

(http://moinejf.free.fr/gspca_README.txt)

When I ran the "make config" part of the procedure a lot of questions were asked. I took the defaults (just hit return) for most of the questions but I answered "m" (for make) at the question to make zc3xx in the gscpa section. then ran just "make" and then (as root) "make install" as directed. I re-booted at this point, don't know if this is actually necessary.

Prior to this I had followed (as above):
"Now also Cheese and Skype:
Upgrading libv4l-0 to from 0.5.0-3~intrepid1 to 0.5.3-1~dooz1 (found in https://launchpad.net/~lool/+archive), then unloading and loading uvcvideo (sudo modprobe -r uvcvideo && sudo modprobe uvcvideo), made cheese and skype work without needed any preloading or other hacks."

At the pointed-to website I copied the:

deb http://ppa.launchpad.net/lool/ubuntu intrepid main

line and pasted it into Apt Line in synaptic "settings>repositories>Third Party Software>Add
Then did a reload and an update appeared immediately which I downloaded.

Please let me know if I can help more,

Steve

sjbaugh (steve-baugh) wrote :

To be even more specific, I only did the first part above because my webcam (ZC0301-based chip) is not supported by the currently distributed gscpa. From my reading of it, most webcams would not need this stage.

Kelvyn (proyectomx2004) wrote :

ok... all this workarounds and install I've seen so far tells me that I would have to rebuilt the driver from source... which avoiding that is the reason I am using ubuntu (I used to have fedora)... I love when plug in and just works....

what surprises me, is that my webcam (genius eye 110) works fine in ubuntu 8.04, color correction a little wrong, but acceptable.... now since I've upgraded to 8.10 whenever I want to use it, I have to dual boot windows, or VM using virtualbox.

Is there gonna be a patch to solve this in the ubuntu repositories?
I am trying to avoid compiling at all costs... and my friends and I like how easy ubuntu is... compiling is not... The first thing I show new people about ubuntu is how everything just "works" out of the box...

Thank you.

If you try to use the webcam through MSN Messenger, you will just see a weird image. The webcam works perfectly in Cheese, so the webcam is working fine.

I'm using Ubuntu 8.10 and Wine 1.1.9.

I think this lines are related:

fixme:qcap:fnCaptureGraphBuilder2_FindInterface (0x1a7f278/0x1a7f278)->({fb6c4281-0353-11d1-905f-0000c0cc16ba}, (null), 0x1a81e60, {c6e13340-30ac-11d0-a18c-00a0c9118956}, 0xbd5158) - workaround stub!
fixme:qcap:KSP_Get () Not adding a pin with PIN_CATEGORY_CAPTURE
fixme:qcap:fnCaptureGraphBuilder2_Release Release IGraphFilter or w/e
fixme:qcap:fnCaptureGraphBuilder2_FindInterface (0x1a7f290/0x1a7f290)->({fb6c4281-0353-11d1-905f-0000c0cc16ba}, (null), 0x1a81e60, {c6e13340-30ac-11d0-a18c-00a0c9118956}, 0xbd5158) - workaround stub!
fixme:qcap:KSP_Get () Not adding a pin with PIN_CATEGORY_CAPTURE
fixme:qcap:AMStreamConfig_GetNumberOfCapabilities 0x1a81e64: 0x32ebd0 0x32ebdc - stub, intentional
fixme:qcap_v4l:qcap_driver_get_prop Not implemented 7
fixme:qcap_v4l:qcap_driver_get_prop Not implemented 5
fixme:qcap:fnCaptureGraphBuilder2_Release Release IGraphFilter or w/e

PascalC (p92) wrote :

My webcam is 04fc:0561 Sunplus Technology Co., Ltd Flexcam 100 (gspca_spc561)
I have applied libv4l - 0.5.3-1~dooz1 from loic minier ppas.

- kopete 0.60.3 now works with LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so kopete
- amsn 0.97.2 does not work (black webcam image - no controls)
- linphone 2.1.1 does not work (green webcam image and ortp-error-Unsupported image size.)
- ekiga 2.0.12 does not work (webcam driver seems not to support ekiga color formats)

- also flash embended in firefox cannot find webcam

José Cabo (folcwine) wrote :

For when the developers resolve the urgent problem with libv4l library to work the webcam under amsn? :(

Please!

PascalC (p92) wrote :

my webcam works under flash in firefox with libv4l - 0.5.3-1~dooz1
if I do :

$ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so
$ firefox

LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so mercury

works with mercury messenger IM.

José Cabo (folcwine) wrote :

In the last svn of amsn I have the same:
"- amsn 0.97.2 does not work (black webcam image - no controls)"
using: $ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so mercury

Don't work (and v.0.5.3-1~dooz1 package installed) :(

Patrik Kullman (nomego) wrote :

With ASUS USB2.0 webcam (0458:705a), skype works with the libv4l - 0.5.3-1~dooz1 and ekiga works and worked before installing it.

However in cheese, I can only use resolutions 160x120 and 176x144, but not the other listed resolutions 320x240, 352x288, 640x480, 1280x1024.

Intrepid 8.10, AMD64.

Loïc Minier (lool) wrote :

Hi folks,

I'm afraid this bug's log is quite large!
I think parts of this bug were worked around in more recent libv4l. The last two releases of libv4l in particular address two serious bugs, one being the cheese slowness and the other being an issue with uvcvideo driver:
libv4l-0.5.6
------------
* Always do a s_fmt on uvc cams even if this changes nothing, as not doing
  the s_fmt triggers a bug in the uvcvideo driver in kernel <= 2.6.28
  (with certain cams)

libv4l-0.5.5
------------
* Avoid the use of try_fmt as much as possible on UVC cams, instead use the
  results of the enum_framesizes ioctl. This is because:
  1) try_fmt actually causes IO with UVC cams making apps which do lot of
     querrying of device capabilities slow (cheese)
  2) some buggy cams don't like getting lots of UVC video probes and crash
     when they do

I've pushed an updated libv4l to my intrepid ppa at: https://launchpad.net/~lool/+archive

If you see any /regression/ from intrepid's libv4l (0.5.0-3~intrepid1) in cheese or any other app caused by the upgrade to libv4l 0.5.6-1, please notify this bug or notify me. If this update improves things in any way, I'm also interested!

The actual libv4l SRU is currently being prepared in bug #286070, where your comments on the libv4l improvements / regressions are also welcome.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amsn - 0.97.2~debian-1ubuntu2

---------------
amsn (0.97.2~debian-1ubuntu2) jaunty; urgency=low

  * Add support for libv4l (LP: #260918):
    - add libv4l-dev (>= 0.5.0) to Build-Depends field in debian/control
    - add debian/patches/09_libv4l_svn10551.dpatch patch from upstream svn,
      this makes libng use libv4l2 for webcam palette conversion and access
    - debian/rules: add -DHAVE_LIBV4L to CFLAGS; 09_libv4l_svn10551.dpatch
      patch doesn't contain the changes included in r10551 to Makefile and
      configure{,.ac}
  * add debian/patches/10_svn10639.dpatch patch from upstream svn, this
    contains a fix from Fedora to utils/linux/capture/libng/plugins/drv0-v4l2.c
    file.

 -- Devid Antonio Filoni <email address hidden> Wed, 26 Nov 2008 22:02:24 +0100

Changed in amsn:
status: In Progress → Fix Released

Hei

ID 04fc:0561 Sunplus Technology Co., Ltd Flexcam 100

no change from my previous post for my cam with this new version of libv4l.

--
Pascal

José Cabo (folcwine) wrote :

amsn don't are fixed! :S
I had compiled the source of this version (the version for Jaunty!!! ¬¬) in Intrepid with the LATEST version of libv4l (in repos of JAUNTY!! ¬¬) and I continue having the same "black imagen" in webcam with no preference controls in amsn.

If you think that the error in fixed can you tell how you do it?

Changed in amsn:
status: Fix Released → In Progress
status: Won't Fix → In Progress
spiderbatdad (spiderbatdad) wrote :

Hi. I started using a new cam...Gigaware. Shows up in lsusb as: Bus 002 Device 006: ID 0c45:62e0 Microdia

I was unable to get the cam working. I tried the gspca-source in the repos and loaded gspca_main. Finally removed the module and instead compiled and patch the driver found at actionshrimp: http://www.actionshrimp.com/2008/08/logitech-quickcam-e2500-on-ubuntu-skype/

I can now use the cam with skype, only if I use LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype
I cannot get the cam to work with camorama.

spiderbatdad (spiderbatdad) wrote :

wanted to update...the above cam and driver work excellently with cheese. Without preload cheese works at 640x480 with preload I can get 1024x768 full screen resolution.

José Cabo (folcwine) wrote :

Reporting my experience with: ID 041e:401d Creative Technology, Ltd WebCam NX Ultra
(In Ubuntu Intrepid).

-amsn detects the webcam but sows a black image without control preferences.
-skype works with LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype (ONLY the first time, the second time the cam -DONT INIT-.
-Ekiga works correctly. Except the second time because occur the same that skype.
-Cheese dont work. This application hangs (eeeh... the image is white).

@Bloodsucker: the amsn patch is taken from upstream svn, have you tried with 0.97.2~debian-1ubuntu2 version? Also can you try amsn svn?

José Cabo (folcwine) wrote :

Reporting my experience with: ID 041e:401d Creative Technology, Ltd WebCam NX Ultra
(In Ubuntu Intrepid).
To response of @Devid:

I go to follow this to compile and try the webcam:
-Update svn trunk of amsn.
-Compile with $ ./configure
compile time options summary
============================

    X11 : yes
    Tcl : 8.5
    TK : 8.5
    DEBUG : no
    STATIC : no
    FARSIGHT : no
    LIBV4L : yes

LIBV4L : yes --->0.5.0-3~intrepid1 AND -dev 0.5.0-3~intrepid1

make && make deb (and install) and the same problem. I go to reboot Ubuntu for to tray.

Ok, the problem is in the upstream patch, can you please send an email to amsn developers?

José Cabo (folcwine) wrote :

well, Continuing:
amsn webcam dont work.
So i try with:
$ sudo dpkg -i libv4l-0_0.5.6-1~dooz1_i386.deb libv4l-dev_0.5.6-1~dooz1_i386.deb
I start amsn and nothing.

So... i retry to compile with new version of libv4l.
$make distclean
$./configure:
compile time options summary
============================

    X11 : yes
    Tcl : 8.5
    TK : 8.5
    DEBUG : no
    STATIC : no
    FARSIGHT : no
    LIBV4L : yes

--> libv4l-0_0.5.6-1~dooz1_i386.deb libv4l-dev_0.5.6-1~dooz1_i386.deb <--

$ make && make deb

amsn webcam don't work... :(
so... i reboot (but i think that this is not necessary xD)

José Cabo (folcwine) wrote :

PS: yes, i can hehe: http://www.amsn-project.net/forums/viewtopic.php?t=6021

but... they say that all patches was fixed and our webcams don't work!! haha

Can you try using libv4l 0.4.0? The svn Makefile checks for libv4l >= 0.4.0.

José Cabo (folcwine) wrote :

@Devid, where can i get libv4l 0.4.0 please?

I've searched in google and http://people.atrpms.net/~hdegoede/ contains tarballs, however I don't know if they are ok or not.

José Cabo (folcwine) wrote :

Hi @Devid
I download libv4l 0.4.0 from this link.
I compile with $ make && sudo make install PREFIX=/usr/local

When I try to recompile the svn version of amsn libv4l is not detected. I think that I need to do something of this:
$ ./configure --with-libv4l=/usr/local/lib/libv4l OR something but... isn't detected:
compile time options summary
============================

    X11 : yes
    Tcl : 8.5
    TK : 8.5
    DEBUG : no
    STATIC : no
    FARSIGHT : no
    LIBV4L : no

How can I link to the dev files of this version??

José Cabo (folcwine) on 2008-11-27
Changed in cheese:
status: New → Confirmed
Motin (motin) wrote :

I earlierly reported working Skype and Cheese using libv4l-0 v 0.5.3

After upgrade to v 0.5.6 this broke fully, and I was lucky to have the 0.5.3-version left in /var/cache/apt/archives/ (installable using dpkg -i package.deb) ...

I now use 0.5.3 again ang happily using Cheese and Skype.

José Cabo (folcwine) wrote :

@Motin

I can't work cheese with no version of lilv4l. Skype and Ekiga, for example, yes.
Amsn... not... :(

Patrik Kullman (nomego) wrote :

After upgrading to 0.5.6, skype still works but I lost the 176x144 resolution in cheese.
When changing resolution in cheese, it doesn't freeze with higher resolutions like it used to, but instead I get:

libv4l2: error allocating conversion buffer

Patrik Kullman (nomego) wrote :

Hmm, if I LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so cheese
I get:

libv4l2: error requesting 4 buffers: Invalid argument

on startup and

libv4l2: error converting / decoding frame data: v4l-convert: error destination buffer too small

when changing resolutions

Mitsch (kontakt-riotmusic) wrote :

Do you also care about the missing /dev/video[0...n] reported in #255678 within this thread? Because if not, #255678 isn't a duplicate of #260918!

spiderbatdad (spiderbatdad) wrote :

Upgraded to 2.6.27-9-generic. The cam: ID 0c45:62e0 Microdia now works with the uvcvideo module as opposed to the patched gspca modulue.

Cheese works.
Camorama does not
Gyachi does not
Skype works with LD_PRELOAD...v4l2convert.so...

Knedlyk (yupadmin) wrote :

Upgraded to 2.6.27-9-generic, AMD-64, camera 093a:262a Pixart Imaging, Inc. Camorama and cheese don't work, even with LD_PRELOAD trick, skype works without any tricks. Actually I need skype only...

I can confirm this bug. It's finally bad memory allocation issue. and it only occurs with capture resolutions higher then 160x120.

Hardware: HP Pavilion 6xxx, HP Webcam, uvcvideo

Output from cheese:

$ cheese

(cheese:23482): GStreamer-WARNING **: pad source:src returned caps which are not a real subset of its template caps

(cheese:23482): GStreamer-WARNING **: pad source:src returned caps which are not a real subset of its template caps

(cheese:23482): GStreamer-WARNING **: pad video_source:src returned caps which are not a real subset of its template caps
libv4l2: error converting / decoding frame data: v4l-convert: error destination buffer too small

---

output from processing-1.0:

$ ./processing

OS is Linux

(GSVideo:23585): GStreamer-WARNING **: pad Source:src returned caps which are not a real subset of its template caps
libv4l2: error converting / decoding frame data: v4l-convert: error destination buffer too small

Petar Velkovski (pvelkovski) wrote :

Are you sure it is only the libv4l package that has the problem? I can't get /device/videoX at all. I have rried libv4l from http://ppa.launchpad.net/lool/ubuntu, tried LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so ...

dmesg gives this:
....
[ 644.112142] gspca: probing 055f:c200
[ 644.120720] gspca: probe ok
[ 644.120964] gspca: probing 055f:c200
[ 644.606989] gspca: disconnect complete
.....
Why is the camera probed twice?
Why after the second probing it is saying "disconnect complete" (and the web camera is still conected to the computer)?
How come lsmod lists the module for the web camera present in memory after saying it was disconnected?

zasq (zasq) wrote :

Hi. Upgraded intrepid to 2.6.27-9-generic on AMD-64, camera logitech messenger stx 046d:08d7. Webcam works fine with skype, but no cheese (shows only colored bars and a flimmering screen in the right corner below) and no camorama ("unable to capture image"). Like Knedlyk.

Stéphane Marguet (stemp) wrote :

@Petar Velkovski : in the webcam list from gspcav2 (http://moinejf.free.fr/webcam.html) your cam is flagged has not tested.
Please read http://moinejf.free.fr/gspca_README.txt to send the author informations.

kakaroto (kakaroto) wrote :

Hi,
I'm an aMSN developper, and I just found out why the aMSN fix for libv4l wasn't working... there was a small mistake in the patch, we forgot to add the -DHAVE_LIBV4L to the CFLAGS...
It should now be fixed in the latest SVN revision 10792.
You can see the patch here :
http://amsn.svn.sourceforge.net/viewvc/amsn?view=rev&revision=10792

Please apply it to have a real fix for aMSN 0.97.2...

Thanks,
KaKaRoTo

I also can confirm the posting of Dusan Maliarik.

I have the same output of cheese.

~$ cheese

(cheese:9025): GStreamer-WARNING **: pad source:src returned caps which are not a real subset of its template caps

(cheese:9025): GStreamer-WARNING **: pad source:src returned caps which are not a real subset of its template caps

(cheese:9025): GStreamer-WARNING **: pad video_source:src returned caps which are not a real subset of its template caps
libv4l2: error converting / decoding frame data: v4l-convert: error destination buffer too small

HP HDX-18 (HP Webcam), same driver (fresh Intrepid+Updates)

Petar Velkovski (pvelkovski) wrote :
Download full text (4.8 KiB)

I have read http://moinejf.free.fr/gspca_README.txt, tried to follow the instructions as mush as I could and failed, so I contacted the author. This was our corenspondation:

Me:
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
I am having problems with my web cam. I have tried to folow your instructions for manual compilation of the drivers from http://moinejf.free.fr/gspca_README.txt, but I must be doing something wrong. The camera in question is Mustek gSMart 300 and it is still untested according to the link http://moinejf.free.fr/webcam.html. Please notice that I'm not a programer or experienced in this kind of stuff. But if you give me a detailed instructions of what to do I believe I can folow them. After compiling the modules this is the message I get from dmesg
...
[35481.188024] usb 1-2: new full speed USB device using uhci_hcd and address 5
[35481.512523] usb 1-2: configuration #1 chosen from 1 choice
[35481.645537] gspca_main: disagrees about version of symbol video_ioctl2
[35481.645553] gspca_main: Unknown symbol video_ioctl2
[35481.646211] gspca_main: disagrees about version of symbol video_devdata
[35481.646214] gspca_main: Unknown symbol video_devdata
[35481.646728] gspca_main: disagrees about version of symbol video_unregister_device
[35481.646731] gspca_main: Unknown symbol video_unregister_device
[35481.646870] gspca_main: disagrees about version of symbol video_register_device
[35481.646872] gspca_main: Unknown symbol video_register_device
[35481.650612] gspca_spca500: Unknown symbol gspca_frame_add
[35481.650766] gspca_spca500: Unknown symbol gspca_debug
[35481.651322] gspca_spca500: Unknown symbol gspca_disconnect
[35481.651462] gspca_spca500: Unknown symbol gspca_resume
[35481.651603] gspca_spca500: Unknown symbol gspca_dev_probe
[35481.651744] gspca_spca500: Unknown symbol gspca_suspend
[35481.658725] gspca_main: disagrees about version of symbol video_ioctl2
[35481.658741] gspca_main: Unknown symbol video_ioctl2
[35481.659400] gspca_main: disagrees about version of symbol video_devdata
[35481.659403] gspca_main: Unknown symbol video_devdata
[35481.659918] gspca_main: disagrees about version of symbol video_unregister_device
[35481.659921] gspca_main: Unknown symbol video_unregister_device
[35481.660089] gspca_main: disagrees about version of symbol video_register_device
[35481.660092] gspca_main: Unknown symbol video_register_device
[35481.665124] gspca_spca500: Unknown symbol gspca_frame_add
[35481.665279] gspca_spca500: Unknown symbol gspca_debug
[35481.665836] gspca_spca500: Unknown symbol gspca_disconnect
[35481.665977] gspca_spca500: Unknown symbol gspca_resume
[35481.666118] gspca_spca500: Unknown symbol gspca_dev_probe
[35481.666259] gspca_spca500: Unknown symbol gspca_suspend
....
I am using Ubuntu 8.10 with the 2.6.27-10 kernel.
If you can give me some advice or instructions, please do. If I'm waisting your time, please tell me that, and I will not bother you again.
--------------------------------------------------------------------------------------------------------------...

Read more...

Andres Mujica (andres.mujica) wrote :

hi, i've moved some bugs as dupes from this one as the main issue was libv4l changes solved by loc PPA package.

The previous main bug was the bug #282473

Flametrees (flametrees) wrote :

G'day Kakaroto,

I'm a linux n00b, so please forgive me. Are you able to provide some
detailed instructions as to how to apply the patch that you've referenced
at: http://amsn.svn.sourceforge.net/viewvc/amsn?view=rev&revision=10792

I have downloaded the three files, but where should I copy them, and how do
I compile/make/install them.

Thanks in advance.

Regards,
Andrew

2008/12/10 kakaroto <email address hidden>

> Hi,
> I'm an aMSN developper, and I just found out why the aMSN fix for libv4l
> wasn't working... there was a small mistake in the patch, we forgot to add
> the -DHAVE_LIBV4L to the CFLAGS...
> It should now be fixed in the latest SVN revision 10792.
> You can see the patch here :
> http://amsn.svn.sourceforge.net/viewvc/amsn?view=rev&revision=10792
>
> Please apply it to have a real fix for aMSN 0.97.2...
>
> Thanks,
> KaKaRoTo
>
> --
> needed: libv4l and associated application patches (or "gspca stopped
> working in 2.6.27")
> https://bugs.launchpad.net/bugs/260918
> You received this bug notification because you are a direct subscriber
> of the bug.
>

@flametrees: I'm using amsn from Ubuntu jaunty repository (or debian sid... I don't remember...) and it works (after libv4l-0 upgrade, of course).

motters (fuzzgun) wrote :

Can confirm that I'm also suffering from this regression. Under kernel version 2.6.24 fswebcam using a Creative Webcam NX Ultra (which I think uses gspca) behaves normally. When I use kernel version 2.6.27 fswebcam will no longer capture images.

@Guido: thanks for your report, I'm happy that it works
@Flametrees: in the Ubuntu package that patch is already "applied" (in a different way it does the same thing)
@Bloodsucker: is still not working for you?

Looks like this bug is related to:
https://bugs.edge.launchpad.net/ubuntu/+source/libv4l/+bug/260918

So we need to fix wine to make it work with the new changes.

Steve Beattie (sbeattie) wrote :

This bug was found in the Intrepid development cycle; removing regression-potential and marking as regression-release.

Carl-Erik Kopseng (kopseng) wrote :

Used to work with 8.04. Doesn't work anymore. Attached hardware info from lshw and lspci -vvnn

Changed in gst-plugins-good:
status: Confirmed → Fix Released
Changed in gstreamer:
status: Unknown → Fix Released

I'm running intrepid and cheese does not work for me with my QuickCam Communicate STX. It printed

libv4l2: error dequeuing buf: Input/output error

to standard out 50 or so times.

$ lsmod | grep gspca
gspca_zc3xx 55936 0
gspca_main 29312 1 gspca_zc3xx
videodev 41344 1 gspca_main
usbcore 148848 9 gspca_zc3xx,gspca_main,snd_usb_audio,snd_usb_lib,usblp,usbhid,ohci_hcd,ehci_hcd

$ lsusb
...
Bus 001 Device 005: ID 046d:08ad Logitech, Inc. QuickCam Communicate STX

$ dmesg
...
[80054.160400] zc3xx: probe 2wr ov vga 0x0000
[80490.308464] zc3xx: probe 2wr ov vga 0x0000

I tried the LD_PRELOAD trick mentioned in this bug, but no app was able to handle the webcam. There are a lot of gspca launchpad bugs so I'm not sure where to file this one. I picked 260918 since it was listed as the mother bug, but 292086 might be more appropriate.

Can someone please test the amsn package?

lann (lann) wrote :

I've tested the SVN revision 10792 for amsn and I've got these errors in the terminal :

libv4l2: error attempting to open more then 16 video devices
open(/dev/video0): Device or resource busy

i saw a black image without control preferences.

my webcam is 046d:08ce -> logitech quickcam pro 5000 and work fine with xawtv and this errors :

/dev/video0 [v4l2]: no overlay support
v4l-conf had some trouble, trying to continue anyway
Warning: Cannot convert string "-*-ledfixed-medium-r-*--39-*-*-*-c-*-*-*" to type FontStruct
ioctl: VIDIOC_G_STD(std=0xb792ddb0b7ef29a8 [PAL_H,PAL_D,PAL_K,PAL_M,PAL_60,NTSC_M_JP,SECAM_B,SECAM_D,SECAM_G,SECAM_H,SECAM_K1,SECAM_L,?ATSC_8_VSB,ATSC_16_VSB,(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)]): Argument invalide
ioctl: VIDIOC_S_STD(std=0x0 []): Argument invalide

Updating download Link.

recent update to libv4l fixed Cheese and many other applications. It justt have small problem, the captured image is vertically FLIPPED! see attachment

using uvcvideo, Intrepid proposed

Created an attachment (id=18513)
+qcap,+qcap_v4l

In current GIT the web cam is not even recognized.

I found another program affected by this bug. Willing Webcam can not use the webcam either. I'm setting this bug as major as every webcam software is affected by this bug.

2 apps don't qualify as "a wide range of applications".

Jaime Rave (jaimerave) wrote :

Looks like Wine is affected by this bug also. Check http://bugs.winehq.org/show_bug.cgi?id=16147

Confirming. We may even want to backport this feature to 1.0.2

(In reply to comment #6)
> Confirming. We may even want to backport this feature to 1.0.2
>

There isn't a 1.0.2 release planned.

Changed in wine:
status: Unknown → New

Then should be nominated for Wine 1.2.

Changed in wine:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amsn - 0.97.2~debian-1ubuntu3

---------------
amsn (0.97.2~debian-1ubuntu3) jaunty; urgency=low

  * Add 11_svn10867.dpatch from upstream svn to fix an issue with v4l1 webcams
    not working with v4l2. Fix LP: #260918.

 -- Devid Antonio Filoni <email address hidden> Thu, 29 Jan 2009 16:10:22 +0100

Changed in amsn:
status: In Progress → Fix Released

Please test the new amsn package and report if it works or not. Thanks.

Changed in amsn:
assignee: nobody → d.filoni
Gavin Tweedie (gav-narx) wrote :

amsn: ii amsn 0.97.2~debian-1ubuntu3 An MSN messenger written in Tcl
Kernel: Linux pygmy 2.6.28-6-generic #17-Ubuntu SMP Fri Jan 30 15:34:36 UTC 2009 i686 GNU/Linux

Latest amsn package still requires LD_PRELOAD for webcam to function. Hardware is the integrated webcam on the dell mini 9.

Changed in vlc:
status: New → Fix Released
newuser (16b) wrote :

Hi to all, I'd like to know if the problem is fixed! Because I updated gspca module following this (http://stemp.wordpress.com/2008/09/15/intrepid-les-webcams-et-les-drivers-gspca/) and libv4l to 0.5.8-1 version but still doesn't work! So I'd like to know why!!
Thank you penguins :)

Loïc Minier (lool) on 2009-02-16
Changed in libv4l:
assignee: lool → nobody
assignee: lool → nobody
Miia Sample (myrtti) wrote :

is this something that needs to be issued every time the kernel changes? because now that I just installed the following packages:
linux-backports-modules-2.6.27-12-generic (2.6.27-12.13)
linux-headers-2.6.27-12 (2.6.27-12.28)
linux-headers-2.6.27-12-generic (2.6.27-12.28)
linux-image-2.6.27-12-generic (2.6.27-12.28)
linux-restricted-modules-2.6.27-12-generic (2.6.27-12.17)
today, and my webcam Bus 006 Device 002: ID 0ac8:301b Z-Star Microelectronics Corp. ZC0301 WebCam wont work unless I specifically start applications using the cam LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so

with love
Miia "the cam worked fine with 2.6.27-11 just yesterday" Ranta...

Andres Mujica (andres.mujica) wrote :

miia: those are kernels from proposed... they're not mean to be used in production systems... However, that info is very useful to take into account for the testing of proposed kernel.

Thanks, just use the 2.6.27-11 kernel from the menu in the meanwhile...

darthanubis (darthanubis) wrote :

Feb 25 15:39:29 core2duo zmwatch[5259]: INF [Restarting capture daemon for New, time since last capture 8 seconds (1235594369-1235594361)]
Feb 25 15:39:29 core2duo zmdc[9991]: INF ['zmc -d /dev/video1' started at 09/02/25 15:39:29]
Feb 25 15:39:29 core2duo zmc_dvideo1[9991]: INF [Debug Level = 0, Debug Log = <none>]
Feb 25 15:39:29 core2duo zmdc[5226]: INF ['zmc -d /dev/video1' starting at 09/02/25 15:39:29, pid = 9991]
Feb 25 15:39:29 core2duo zmc_dvideo1[9991]: INF [Starting Capture]
Feb 25 15:39:29 core2duo zmwatch[5259]: INF ['zmc -d /dev/video1' starting at 09/02/25 15:39:29, pid = 9991]
Feb 25 15:39:31 core2duo kernel: [92311.647197] zc3xx: probe 2wr ov vga 0x0000

Linux core2duo 2.6.27-12-generic #1 SMP Thu Feb 5 09:26:42 UTC 2009 x86_64 GNU/Linux

Cheese, and Skype works just fine. Zoneminder is not working though.

Sorry if this is not the place, but I'm desperate for guidance on how to access an webcam with Pixart PAC207BCA (vid/pid 0x093A:0x2468) via gspca pac207. Ekiga can retrieve image data, but apparently it uses a different system!?
When I try to grab a frame with FFmpeg version r11872+debian_3:0.svn20080206-12ubuntu3 I get
...
[video4linux2 @ 0xb80aa388][3]Capabilities: 5000001
[video4linux2 @ 0xb80aa388]Cannot find a proper format.
/dev/video0: I/O error occured
Usually that means that input file is truncated and/or corrupted.

and dmesg shows
gspca: usb_submit_urb [0] err -28

I have compiled and installed libv4l-0.5.8-1 but no difference.
I need to stream from the camera and tried http://mjpg-streamer.wiki.sourceforge.net/ which does not work.
Could someone give instructions on how to get this working?

Changed in kdenlive:
status: Unknown → New
Changed in kdenlive:
status: New → Unknown

Affecting Yahoo Messenger 9.0

I compiled version 2.6.29.1 of the kernel from kernel.org, and checked if the module was working, which to my surprise was not. Then I downloaded the v4l-dvb from linuxtv.org and compiled and installed it, and I did a modprobe gspca_vc032x which adds the /dev/video0. But then I get this I/O error:

libv4l2: error dequeuing buf: Input/output error

:(

I'm working in Ubuntu 8.10 and have an HP vga cam, which has the same usb id as HP 2.0 Megapixel rz406aa and uses vc032x driver, which has been added in this kernel release.

Any solution?

Does amsn work on Jaunty? Please test it, I don't have a webcam so I cannot test it. If it works I will update the intrepid package.

.cobnet (mattias-campe) wrote :

I've tested the webcam functionality of the "Genius VideoCAM Express Webcam" in aMSN and it worked out of the box with a Jaunty 9.04 installation (upgraded from 8.10). Is that what you mean Devid Antonio Filoni?

vivia (vivia) wrote :

v4l2 cams are confirmed to work.

I have a v4l1-only cam that I would like to test as well, but it looks like it's not supported at all in Jaunty - either this, or I broke it after having followed this guide: http://ubuntuforums.org/showthread.php?t=1130582 (I had no choice - had frequent freezes!) If someone has a webcam that only works with v4l1 (for example, using the ov511 module), please test and report.

Scott Ritchie (scottritchie) wrote :

This bug has a task against Wine - is there a particular Windows webcam application I should be testing here?

Jaime Rave (jaimerave) wrote :

Hi Scott, Well I've been testing this bug since it appear in Ubuntu 8.10. You can see my report and the programs that are affected so far in the bug http://bugs.winehq.org/show_bug.cgi?id=16147. So if you want to test some applications, you can find some examples in that bug.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 1.0.0~rc2-1ubuntu1

---------------
vlc (1.0.0~rc2-1ubuntu1) karmic; urgency=low

  * New upstream version.
  * tighten build-dependencies on libschroedinger-dev, fixes FTBFS.
  * Following bugs have an associated and now closed upstream ticket in
    Launchpad: LP: #281295, #73449, #282567, #117640, #172938, #260918,
    #273685, #275043, #277834, #282394, #290753, #294136, #298925, #304265,
    #309728, #311742, #314038

vlc (1.0.0~rc2-1) experimental; urgency=low

  * New Upstream Release Candidate
    + Closes: #527010, #491441, #508618, #522824
  * Delete patches which were picked from upstream
  * Refresh patches
  * Remove vlc-plugin-esd and vlc-plugin-arts as they have been removed
    by upstream
  * SONAME change for libvlccore
  * Add new symbols for libvlc2
  * Fix static libs compile
  * Use vlc-wrapper manpage from upstream
  * vlc.install: add drawable and screen was renamed x11_screen
  * vlc-nox.install: Add and remove modules added/removed upstream
  * Point out in NEWS the modules renamed or splited
  * Add links to upstream NEWS and co in vlc-nox
  * Version the depedency of libvlcore2 on vlc-data
  * Remove unnecessary "Section:" in debian/control

vlc (0.9.9a-3) unstable; urgency=low

  * Correct typo in 0.9.9a-2 changelog entry
  * Disable more optimization with DEB_BUILD_OPTIONS=noopt
  * Cache the configure test results as we're running configure several
    times
  * Fix building as root
  * Fix the clean target
  * Remove unexistant config options
  * Better check commad line
  * Use all the procs on i386 and amd64
  * Build a version of libvlccore without altivec (Closes: #523035)
  * Fix typo (thanks to Salvatore Bonaccorso)(Closes: #528044)
  * Reword the command line to get full logs in bug/presubj (Closes: #527012)
  * Remove duplicate "extended Settings" entry in context menu
   (Closes: #526603) - thanks to Matt Kraai

 -- Reinhard Tartler <email address hidden> Fri, 05 Jun 2009 12:28:15 +0200

Changed in vlc (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.8 KiB)

This bug was fixed in the package mplayer - 2:1.0~rc3+svn20090426-1ubuntu1

---------------
mplayer (2:1.0~rc3+svn20090426-1ubuntu1) karmic; urgency=low

  * Switch to debian packaging for the mplayer package
  * New upstream release, LP: #336697, #260918, #246675, #243453, #74282
  * Fixes security issues: CVE-2008-5616, LP: #308939
  * many flv fixes LP: #73271, #347021
  * Build and install mencoder
  * Bump epoch

mplayer (1.0~rc3+svn20090426-1) unstable; urgency=low

  [ fabrice ]
  * Introduce the mplayer-nogui package, that does not depend on GTK+

  [ Reinhard Tartler ]
  * new upstream svn version based on the 1.0rc3 branch
  * various cleanups and refactoring in debian/rules
  * no longer remove mencoder.c: It does hardly contain any "dangerous"
    or patented code. Instead:
  * strip libavcodec similar to how its done in the ffmpeg package. This
    brings the patent policy of the mplayer and ffmpeg package in debian
    finally in sync. c.f. the comments and the "discussion" in #522373.
  * install upstream's version of binary_codecs.sh

mplayer (1.0~rc3+svn20090405-1) unstable; urgency=low

  * New upstream version. Track the 1.0rc3 release branch for now.
  * remove 50_r28803_segfault_print_int.patch, merged upstream.
  * no longer remove the TOOLS subdirectory from the upstream source.
  * make get-orig-source rule actually work.
  * disable musepack support. Closes: #476384
  * completely delegate handling of /etc/mplayer/mplayer.conf to
    dpkg. This change removes also all debconf templates and reduces
    package complexity.
  * move .gbp.conf to debian/gbp.conf
  * cleanups in debian/rules: prefer external debhelper helper files
  * enhance upstream Makefile to install gmplayer manpages
     - implement as quilt patch, submitted upstream
     - debian/rules: make use of the added rules
  * use dh_prep instead of dh_clean -k
  * bump Standards-Version to 3.8.1

mplayer (1.0~rc2+svn20090303-7) unstable; urgency=low

  * various cleanups in debian/rules.
  * as a side effect, DEB_BUILD_OPTIONS set to noopt no longer works. It
    really needs to be implemented in ./configure instead of weird hackery
    in debian/rules. patches welcome.
  * run 'make distclean' only of config.mak exists.
  * remove debian/control.mplayer* variants.
  * don't --enable-debug on mipsen. This hopfully fixes the FTBFS on mipsen.

mplayer (1.0~rc2+svn20090303-6) unstable; urgency=low

  [ A Mennucc1 ]

  * use ./configure flags to dynamically link FFmpeg,
    delete patch 30link-system-ffmpeg.patch

  [ Reinhard Tartler ]

  * cleanup debian/rules: use --enable-debug on all architectures but mips.
    in order to fix a FTBFS. This results in making the -dbg package on mips
    useless. If you are interested in having a usable mplayer-dbg package on
    mips, please try enabling that switch in debian/rules and send us your
    buildlog!
  * run 'make distclean' only of config.mak exists
  * cleanup debian/rules: remove unnecessary clean statements

mplayer (1.0~rc2+svn20090303-5) unstable; urgency=low

  * debian/control : move docbook-xml,docbook-xsl,xsltproc from
    Build-Depends-Indep to Build-Depends, since they are needed to run
    config...

Read more...

Changed in mplayer (Ubuntu):
status: New → Fix Released
Stéphane Marguet (stemp) wrote :
Stéphane Marguet (stemp) wrote :

New debdiff with new maintainer set to motu

sliq (boast) wrote :

is anything being done for kopete?

Nerd_bloke (nerd-bloke) on 2009-07-24
Changed in kopete:
importance: Undecided → Unknown
status: New → Unknown
Changed in kopete:
status: Unknown → Fix Released
Nerd_bloke (nerd-bloke) on 2009-07-24
Changed in cheese:
importance: Undecided → Unknown
status: Confirmed → Unknown
Changed in cheese (Ubuntu):
importance: Undecided → High
status: New → Confirmed

*** Bug 3976 has been marked as a duplicate of this bug. ***

js rathee (jaipalrathee) on 2009-08-08
Changed in libv4l (Ubuntu):
status: Fix Released → New
status: New → Fix Committed
tgpraveen (tgpraveen89) wrote :

>I just tested cheese with a logitech quickcam, but if have it connected and I start cheese, it is busy for a little while and then locks up my >computer (with blinking caps lock and scroll lock lights on the keyboard). Is it working on other configurations and should I open a separate >bug?

i am having the exact same symptoms of locking up of computer and caps and scroll lock blinking when i go in gstreamer-properties on my karmic rc live cd on my sony vaio computer.
Please fix this. note cheese si not installed.

Fabian A. Scherschel (fabsh) wrote :

Those blinking Caps Lock and Scroll Lock lights mean you experienced a kernel panic. This has nothing to do with this bug. Please file a separate bug for your problem.

Dear tpgraveen,

Here is the fix:

http://docbox.flint.com:8081/geekland#skype

Enjoy!

On Tue, 17 Nov 2009, tgpraveen wrote:

> Date: Tue, 17 Nov 2009 16:17:32 -0000
> From: tgpraveen <email address hidden>
> Reply-To: Bug 260918 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 260918] Re: needed: libv4l and associated application patches
> (or "gspca stopped working in 2.6.27")
>
>> I just tested cheese with a logitech quickcam, but if have it connected
> and I start cheese, it is busy for a little while and then locks up my
>> computer (with blinking caps lock and scroll lock lights on the
> keyboard). Is it working on other configurations and should I open a
> separate >bug?
>
> i am having the exact same symptoms of locking up of computer and caps and scroll lock blinking when i go in gstreamer-properties on my karmic rc live cd on my sony vaio computer.
> Please fix this. note cheese si not installed.
>
> --
> needed: libv4l and associated application patches (or "gspca stopped working in 2.6.27")
> https://bugs.launchpad.net/bugs/260918
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Kindest Regards,

Paul Flint
(802) 479-2360

/************************************
Based upon email reliability concerns,
please send an acknowledgment in response to this note.

Paul Flint
Barre Open Systems Institute
17 Averill Street
Barre, VT
05641

http://www.bosivt.org
http://www.flint.com/home
skype: flintinfotech
Work: (202) 537-0480

Consilium _
gratuitum .~. ASCII ribbon campaign ( )
valet /V\ against HTML e-mail X
quanti /( )\ www.asciiribbon.org / \
numerantur ^^-^^

dimpler18 (dimpler18) on 2009-12-16
Changed in came (Ubuntu):
assignee: nobody → dimpler18 (dimpler18)
Erik Andrén (erik-andren) wrote :

Works as intended on karmic.

Changed in amsn (Ubuntu Intrepid):
status: In Progress → Fix Released
BlueG (bluethegrappler) wrote :

I am still having to use LD_PRELOAD to get pidgin and camorama to work under Ubuntu 9.10. I have custom wrapper scripts named /usr/local/bin/${APP}-v4l1compat like:

#!/bin/bash
LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so ${APP}

I edit the menu to use these scripts to launch pidgin and camorama.

Bahar Ali (baharali) on 2010-01-21
Changed in libv4l (Ubuntu):
assignee: nobody → Bahar Ali (baharali)
r12056 (r12056) on 2010-02-07
Changed in came (Ubuntu Intrepid):
assignee: nobody → dimpler18 (dimpler18)
Changed in libv4l (Ubuntu Intrepid):
assignee: nobody → Bahar Ali (baharali)
Changed in camorama (Ubuntu):
assignee: nobody → Ubuntu Security Team (ubuntu-security)
r12056 (r12056) on 2010-02-07
security vulnerability: no → yes
Changed in camstream (Ubuntu):
assignee: nobody → Ubuntu Security Team (ubuntu-security)
Changed in cheese (Ubuntu):
assignee: nobody → Ubuntu Security Team (ubuntu-security)
Changed in came (Ubuntu Intrepid):
assignee: dimpler18 (dimpler18) → nobody
security vulnerability: yes → no
Changed in camorama (Ubuntu):
assignee: Ubuntu Security Team (ubuntu-security) → nobody
Charlie Kravetz (charlie-tca) wrote :

Attempts to reverse the changes made by a malicious user. Unsubscribed Ubuntu Security Team, no longer security issue.

Changed in camstream (Ubuntu):
assignee: Ubuntu Security Team (ubuntu-security) → nobody
Changed in cheese (Ubuntu):
assignee: Ubuntu Security Team (ubuntu-security) → nobody
PascalC (p92) wrote :

I still have to do like in comment #198 for webcam to work under flashplayer in firefox !

komputes (komputes) wrote :

@PascalCavy - Check Bug #358599 as it relates to not being able to use webcam on flashed-based video conference systems.

Fabrice Coutadeur (fabricesp) wrote :

Will be fixed in Lucid, with version 0.27+dfsg-4

Changed in camstream (Ubuntu):
status: New → Fix Released
mbaho10 (mbaho10) on 2010-04-20
Changed in amsn (Ubuntu):
assignee: Devid Antonio Filoni (d.filoni) → mbaho10 (mbaho10)

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the report. The bug has been fixed in newer releases of Ubuntu.

Changed in camstream (Ubuntu Intrepid):
status: New → Invalid
Changed in cheese (Ubuntu Intrepid):
status: New → Invalid

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. Can anyone confirm whether this issue still exists in later versions of Ubuntu?

Changed in camorama (Ubuntu Intrepid):
status: New → Invalid
Changed in camorama (Ubuntu):
status: New → Incomplete
Lucio M Nicolosi (lmnicolosi) wrote :

@Alex

Camorama doesn't seem to be maintained anymore (last entry at the site: October 9, 2007) and will not work with every Ubuntu release since, I guess, Intrepid. After your last post, installed Camorama and tried to run it again (Lucid AMD 64). Same stuff, doesn't work. I wonder why it is still available on repositories.

terminal info for:

camorama -D:

VIDIOCGCAP
device name = CIF Single Chip
device type = 1
can use mmap()
# of channels = 1
# of audio devices = 0
max width = 352
max height = 288
min width = 48
min height = 32

VIDIOCGWIN
x = 0
y = 0
width = 176
height = 144
chromakey = 0
flags = 0

VIDIOCGWIN
x = 0
y = 0
width = 176
height = 144
chromakey = 0
flags = 0

VIDIOCGPICT:
bright = 11822
hue = 0
colour = 0
contrast = 0
whiteness = 0
colour depth = 8

VIDIOCGMBUF
mb.size = 409600
mb.frames = 4
mb.offset = 102400

(camorama:11996): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
update_tooltip called
tip - acap off
** Message: SET PIC
update_tooltip called
tip - acap off
Unable to capture image (VIDIOCSYNC)

Confirmed that this exists in camorama 0.19-2 package.

Changed in camorama (Ubuntu):
status: Incomplete → Confirmed

A debdiff is available for Camorama which fixes this bug. I have subscribed Ubuntu Universe Sponsors to approve the upload.

affects: debian → camorama (Debian)
Changed in camorama (Debian):
status: Fix Released → Unknown
Changed in camorama (Debian):
status: Unknown → Confirmed
Changed in camorama (Debian):
status: Confirmed → Fix Released

The attached patch solves the issue and makes camorama working again on Lucid.

--
Alessio Treglia <email address hidden>
Ubuntu MOTU Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

PascalC (p92) wrote :

With Lucid and firefox 3.6.3 I still have to do like in comment #198 for webcam to work under flashplayer in firefox !

Benjamin Drung (bdrung) wrote :

@Alessio:

1. I couldn't apply your patch:
patch: **** malformed patch at line 324:

2. To allow SRUs for older releases than lucid, you should add the release version into the version string: 0.19-2ubuntu0.1 -> 0.19-2ubuntu0.10.04.1

@Stéphane:

The patch from from Debian is shorter than the one from Fedora. Therefore we should take the one from Debian.

I am unsubcribing ubuntu-sponsors for now. Please resubscribe the team once you have an updated debdiff.

Benjamin Drung (bdrung) wrote :

Second notice: I think it's better to open a new bug report for camorama. This bug report is abused for too many packages.

  Camera does not work in ICU2. It is listed in ICU2 as UVC Camera (046d:0990) (vfw) under settings/video and audio. Using Ubuntu 10.04 (Lucid) and Wine 1.3. Camera is OK and works with Skype which is from the desktop and not installed in Wine, but the camera works. It is a Logitech 9000.

Vish (vish) wrote :

Upstream has closed the cheese bug as "Not Gnome" , Quoting Upstream:

"You should be able to have cheese working again installing libv4l >= 0.5.7 and
a recent uvcvideo driver. If you are running ubuntu intrepid this means
enabling intrepid-proposed and upgrading kernel from there.
Unfortunately libv4l didn't enter intrepid repositories yet but you can install
it from Loic Minier's PPA at https://launchpad.net/~lool/+archive
If you're not using Ubuntu check if your distribution already packaged latest
libv4l and upgrade it or install it from source."

"Little update: libv4l 0.5.7 entered intrepid-proposed. Installing from Loic
Minier's PPA is not needed anymore."

Closing cheese task.

Changed in cheese (Ubuntu):
status: Confirmed → Invalid
Changed in cheese (Ubuntu Lucid):
status: New → Invalid

 Have wine 1.3.1 installed and still the cam won't work in icu2. The camera is listed the the video/audio tab in icu2 but it won't initialize.

 ICU2 lists the camera as UVC Camera (046d:0990) but it doesn't initialize. iSpQ 9.1 just doesn't recognize and camera at all. Use wine 1.3.1 and Ubuntu 10.04 (Lucid). Camera works with Skype.

 Cmaera does not work in Icu2, iSpQ 9.1, MSN, Yahoo messenger and Paltalk. I use the first two and need the camera to work. It does work in Skype, in Linux and Windows. Thanks.

Does this occur in newest WINE?

 Yes I have Wine 1.3.2 in Ubuntu 10.04 and the problem is the same. Camera is not recognized.

Changed in wine:
importance: Unknown → Medium
Changed in cheese:
importance: Unknown → Critical
Changed in ekiga:
importance: Unknown → Medium
Changed in gst-plugins-good:
importance: Unknown → Medium
Changed in gstreamer:
importance: Unknown → Medium

Still with Wine 1.3.3, Ubuntu 10.04 and an updated msi file from http://www.ispq.com, the camera isn't recognized still. new version of msi file is 9.1.7. Icuii has same problem as above but no new versions except Wine 1.3.3 Camera is not recognized. Thanks .

Changed in kdenlive:
status: Unknown → Fix Released
Adam Niedling (krychek) wrote :

Strangely my webcam (logitech c500) doesn't work with firefox but it does work with chromium and epiphany. Even the LD_PRELOAD trick doesn't work with firefox.

praveen (bupaequation) wrote :

MY WEBCAM IS NOT WORKING PLS HELP ME

 I guess it is a long slow process to get USB devices like webcams to work in Linux. Still the cam does work with Cheese and native Skype. Love to know if anyone is working on getting webcams to work with iSpQ or icuii. iSpQ is from Nanocorp http://www.ispq.com/downloads and icuii is from cybration http://www.ispq.com/downloads. I have accounts with both so can help trying to enter my username and password in either one if that's any help. Thanks for trying. Appreciate your efforts. I have Ubuntu 10.10 and Fedora fc 14 on separate HDs. Use the latest wine version in both. Bob

PascalC (p92) wrote :

2 years have passed and gspca webcams are still not working with firefox on maverick 10.10

User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.13) Gecko/20101206 Ubuntu/10.10 (maverick) Firefox/3.6.13
Build Identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.13) Gecko/20101206 Ubuntu/10.10 (maverick) Firefox/3.6.13

I have the following webcam under Kubuntu maverick 10.10 :
Bus 003 Device 002: ID 04fc:0561 Sunplus Technology Co., Ltd Flexcam 100
  idVendor 0x04fc Sunplus Technology Co., Ltd
  idProduct 0x0561 Flexcam 100

The webcam is working well under other software such as skype, kopete, cheese ...

But on firefox with site using flash to manage the webcam, the webcam is not detected by flash plugin.

Reproducible: Always

Report this issue to Adobe. http://blogs.adobe.com/penguinswf/2008/07/paparazzi_v2_1.html may be helpful for the Adobe report.

CatchesAStar (catchesastar) wrote :

libv4l support depends on the Adobe Flash Plugin itself, which is closed-source propriety software. As a result, please refer to the adobe bug report mentioned above instead of reporting against the flash plugin tools.

Changed in adobe-flash-plugin-tools:
status: New → Won't Fix
Changed in firefox:
importance: Unknown → Medium
status: Unknown → Invalid

Already reported here
https://bugs.adobe.com/jira/browse/FP-204

people please vote for this bug on JIRA

PascalC (p92) wrote :

And people concerned by the v4l2 webcam support on firefox/flash plugin please vote for the bug there
 https://bugs.adobe.com/jira/browse/FP-204

Changed in kopete:
importance: Unknown → Medium

Update comment: Still wondering if anyone is working on the webcams(USB cams) to work in ICU2 and iSpQ. They still aren't recognized in Wine or native Linux as far as I can tell. Would appreciate an update of efforts to get webcams to work with these programs. http://www.icu.com/downloads and http://www.ispq.com/downloads. Thanks for an update.

The links in this bug are not available anymore. Is this still a problem in 1.4-rc1? Can anyone provide a new link to reproduce this issue?

Petr_Kosv (karrrolina) wrote :

This is still an issue in Ubuntu 12.04 with Genius iSlim 300X (ID 093a:262c - gspca drivers). Linux seems unable to recognize the device. There are workarounds, at first site uneasy; being a novice I think I cannot help much.

Petr_Kosv (karrrolina) wrote :

I am sorry - in terminal type gstreamer-properties, click enter,
click video, try v4l1 or v4l2 - AND MY WEBCAM WORKS for me (v4l2 works with genius islim 300x).

No answer to last reminder, no download.

 AFAIK, icu2 is now multi-platform, linux, mac, and windows, via a web based system I guess. I don't use it anymore so not sure if the webcams work. My guess is it does, without wine.Just heard this from friends. Haven't tried it. Webpage is video.icu2.com to get the multiplatform site. Anyone try it out?

 iSpQ is version 9.2 or will be shortly. They are multi-platform also, using windows and mac only. Their webpage is www.ispq.com. I still use it in win7 only. Haven't tried recently ( a few years ) to use wine and my Logitech 9000 webcam. If wine supports the webcam and ispq I will install it, and never go back to windows. So I hope this bug stays open and others can comment on the use of webcams and ispq and other video conferencing programs. Thanks.

I have found a simpler application to test, it's called FWink.
http://www.lundie.ca/fwink/

After selecting the webcam and pressing OK the program crashes in qcap. I'll attach the file.

Created attachment 41551
+qcap,+qcap_v4l in wine 1.5.12

 Any progress on getting the webcams to work?

Download full text (4.2 KiB)

Hi,

Just discovered your e-mail in my inbox.

On Fri, Oct 5, 2012 at 1:32 PM, Robert Benjamin
<email address hidden> wrote:
> Any progress on getting the webcams to work?

I am not working on this issue.

Also I am very surprised that this launchpad bug report is sent to me
specifically. Shouldn't it be sent to vlc-devel or videolan@v.o. ???

Kind regards,

Jean-Paul Saman.

> --
> You received this bug notification because you are a member of Videolan,
> which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/260918
>
> Title:
> needed: libv4l and associated application patches (or "gspca stopped
> working in 2.6.27")
>
> Status in Adobe Flash Plugin Tools:
> Won't Fix
> Status in Cheese Camera Application:
> Unknown
> Status in Ekiga Voice Over IP Suite:
> Fix Released
> Status in The Mozilla Firefox Browser:
> Invalid
> Status in GStreamer Plugins (Good):
> Fix Released
> Status in The GStreamer Multimedia Framework:
> Fix Released
> Status in KDE Non-Linear Video Editor:
> Fix Released
> Status in Kopete:
> Fix Released
> Status in Medibuntu:
> Fix Released
> Status in Open Source Computer Vision library:
> Unknown
> Status in VLC media player:
> Fix Released
> Status in Wine:
> Confirmed
> Status in “amsn” package in Ubuntu:
> Fix Released
> Status in “came” package in Ubuntu:
> Fix Released
> Status in “camorama” package in Ubuntu:
> Confirmed
> Status in “camstream” package in Ubuntu:
> Fix Released
> Status in “cheese” package in Ubuntu:
> Invalid
> Status in “ekiga” package in Ubuntu:
> Invalid
> Status in “gst-plugins-good0.10” package in Ubuntu:
> Fix Released
> Status in “libv4l” package in Ubuntu:
> Fix Committed
> Status in “mplayer” package in Ubuntu:
> Fix Released
> Status in “pwlib” package in Ubuntu:
> Fix Released
> Status in “vlc” package in Ubuntu:
> Fix Released
> Status in “xawtv” package in Ubuntu:
> Fix Released
> Status in “amsn” source package in Lucid:
> New
> Status in “came” source package in Lucid:
> New
> Status in “camorama” source package in Lucid:
> New
> Status in “camstream” source package in Lucid:
> New
> Status in “cheese” source package in Lucid:
> Invalid
> Status in “ekiga” source package in Lucid:
> New
> Status in “gst-plugins-good0.10” source package in Lucid:
> New
> Status in “libv4l” source package in Lucid:
> New
> Status in “mplayer” source package in Lucid:
> New
> Status in “pwlib” source package in Lucid:
> New
> Status in “vlc” source package in Lucid:
> New
> Status in “xawtv” source package in Lucid:
> New
> Status in “amsn” source package in Intrepid:
> Fix Released
> Status in “came” source package in Intrepid:
> Fix Released
> Status in “camorama” source package in Intrepid:
> Invalid
> Status in “camstream” source package in Intrepid:
> Invalid
> Status in “cheese” source package in Intrepid:
> Invalid
> Status in “ekiga” source package in Intrepid:
> Invalid
> Status in “gst-plugins-good0.10” source package in Intrepid:
> Fix Released
> Status in “libv4l” source package in Intrepid:
> Fix Released
> Status in “mplayer” source package in Intrepid:
> Won't Fix
> Statu...

Read more...

(In reply to comment #25)
> Any progress on getting the webcams to work?

Still wondering if the webcams (specifically Logitech 9000) works with ispq 9.x and wine 1.4 with Ubuntu v 12.04 or Linux Mint v 14. Thanks for the help.

(In reply to comment #26)
> (In reply to comment #25)
> > Any progress on getting the webcams to work?
>
> Still wondering if the webcams (specifically Logitech 9000) works with ispq 9.x
> and wine 1.4 with Ubuntu v 12.04 or Linux Mint v 14. Thanks for the help.

   Logitech webcam 9000 works perfectly with ispq9.x in win 7 and win xp and the Mac too I believe. In Ubuntu 12.04 and Mint 14 with wine 1.4 it doesn't work. Some users said they could see me and read some text but I can't see users nor read see any text. The camera is great with Skype for Linux and is fine with that in Mint and Ubuntu. Also works with cheese but that isn't a video conferencing program I believe. Hope some day the webcam will work in Linux. Hate to use win 7 to chat with friends. Would love to stay in Linux and use ispq9.x. BTW, I emailed tech support in ispq late last year re: supporting Linux after they did it for the Mac. The reply was no, they have no interest in Linux at this time and it would be too difficult to have techs work on it now. Bummer.

MSN Messenger is now Skype, Yahoo Messenger crashes on login (#32695), iSpQ9 won't install due to MSI problems (https://bugs.launchpad.net/ubuntu/+source/wine1.2/+bug/614546), so how do you even test this?

Otherwise I've made changes that allow VLC on Wine to capture video from my webcam, please retest with the latest Git or Wine version 1.4.2 when it comes out.

(In reply to comment #28)
> MSN Messenger is now Skype, Yahoo Messenger crashes on login (#32695), iSpQ9
> won't install due to MSI problems
> (https://bugs.launchpad.net/ubuntu/+source/wine1.2/+bug/614546), so how do you
> even test this?
>
> Otherwise I've made changes that allow VLC on Wine to capture video from my
> webcam, please retest with the latest Git or Wine version 1.4.2 when it comes
> out.

Will wait for Wine 1.4.2 and test ispq again. Thanks

(In reply to comment #29)
> (In reply to comment #28)
> > MSN Messenger is now Skype, Yahoo Messenger crashes on login (#32695), iSpQ9
> > won't install due to MSI problems
> > (https://bugs.launchpad.net/ubuntu/+source/wine1.2/+bug/614546), so how do you
> > even test this?
> >
> > Otherwise I've made changes that allow VLC on Wine to capture video from my
> > webcam, please retest with the latest Git or Wine version 1.4.2 when it comes
> > out.
>
> Will wait for Wine 1.4.2 and test ispq again. Thanks

Actually you can test with 1.5.22 as well.

fwink no longer runs in wine 1.5.22, it did in wine 1.5.18, it will take time to do the regressiont test.

Created attachment 43229
+qcap,+qcap_v4l in wine 1.5.22

Created attachment 43230
Patch to render even if the output pin is NULL

I tested it before my patches, and Fwink didn't work. I actually just wrote a patch that gets it to start. Doesn't seem to generate proper photos though, I suspect that gdiplus interpolation 7 fixme.

(In reply to comment #33)
> Created attachment 43230 [details]
> Patch to render even if the output pin is NULL
>
> I tested it before my patches, and Fwink didn't work. I actually just wrote a
> patch that gets it to start. Doesn't seem to generate proper photos though, I
> suspect that gdiplus interpolation 7 fixme.

 I can test ispq9.x by installing it in wine 1.4.x or try 1.5.x. Will make a clean install of either and try the .msi and report to you what results. Let me know which wine version is best to try. I am a novice and probably not much help other than simple testing as I mentioned above. Will try and follow simple instructions you may have if I understand them. Sorry for not being much help but I really appreciate every effort you guys make to get it to work. Hopefully others do too. Thanks again. Bob

Fwink creates a NullRenderer. It adds it to the filter graph. On the CaptureGraphBuilder2, it calls RenderStream(), asking it to link the preview pin to the the default renderer. Then it calls RenderStream() again, asking it to link the output pin to the NullRenderer. Finally it adds the sample grabber in front of the NullRenderer, allowing it to take photos.

Since the camera doesn't have a preview pin, CaptureGraphBuilder2 must support the SmartTeeFilter which creates one by duplicating the output pin. Wine's doesn't have that filter. Furthermore, Wine's CaptureGraphBuilder2 doesn't even link the pins correctly. With my patch above, it at least links both to the NullRenderer, allowing Fwink to take photos, but not show preview video (since that needs the SmartTeeFilter).

Those that believe Fwink worked before must have been using native qcap?

(In reply to comment #35)
> Fwink creates a NullRenderer. It adds it to the filter graph. On the
> CaptureGraphBuilder2, it calls RenderStream(), asking it to link the preview
> pin to the the default renderer. Then it calls RenderStream() again, asking it
> to link the output pin to the NullRenderer. Finally it adds the sample grabber
> in front of the NullRenderer, allowing it to take photos.
>
> Since the camera doesn't have a preview pin, CaptureGraphBuilder2 must support
> the SmartTeeFilter which creates one by duplicating the output pin. Wine's
> doesn't have that filter. Furthermore, Wine's CaptureGraphBuilder2 doesn't even
> link the pins correctly. With my patch above, it at least links both to the
> NullRenderer, allowing Fwink to take photos, but not show preview video (since
> that needs the SmartTeeFilter).
>
> Those that believe Fwink worked before must have been using native qcap?

 Thanks for your comments (#35). Don't understand it but from a previous comment I think it said to try and install ispq9.x with wine 1.4 or 1.4.2 when available if not already so. If this is a good idea I will try it and report what happens to you here if this is the correct place. Thanks. Bob

Phillip Susi (psusi) on 2013-06-12
no longer affects: amsn (Ubuntu Lucid)
no longer affects: came (Ubuntu Lucid)
no longer affects: camorama (Ubuntu Lucid)
Changed in camorama (Ubuntu):
status: Confirmed → Invalid
no longer affects: camstream (Ubuntu Lucid)
no longer affects: ekiga (Ubuntu Lucid)
no longer affects: gst-plugins-good0.10 (Ubuntu Lucid)
no longer affects: libv4l (Ubuntu Lucid)
no longer affects: mplayer (Ubuntu Lucid)
no longer affects: pwlib (Ubuntu Lucid)
Phillip Susi (psusi) on 2013-06-12
no longer affects: vlc (Ubuntu Lucid)
no longer affects: xawtv (Ubuntu Lucid)
Changed in libv4l (Ubuntu):
status: Fix Committed → Fix Released
Changed in pwlib (Fedora):
importance: Unknown → Low
Changed in gst-plugins-good0.10 (Fedora):
importance: Unknown → Low
Changed in xawtv (Fedora):
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.